'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useAccordionContext = require('./use-accordion-context.cjs');
const collapsible = require('../collapsible/collapsible.cjs');
require('@zag-js/color-picker');
require('@zag-js/date-picker');
require('@internationalized/date');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const createSplitProps = require('../create-split-props.cjs');
const useAccordionItemPropsContext = require('./use-accordion-item-props-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "accordion-item-content",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const splitVisibilityProps = createSplitProps.createSplitProps();
    const accordion = useAccordionContext.useAccordionContext();
    const itemProps = useAccordionItemPropsContext.useAccordionItemPropsContext();
    const itemContentProps = vue.computed(() => {
      const contentProps = accordion.value.getItemContentProps(itemProps);
      const [, ownProps] = splitVisibilityProps(contentProps, ["hidden", "data-state"]);
      return ownProps;
    });
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(collapsible).Content, vue.mergeProps(itemContentProps.value, { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
