'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useRenderStrategy = require('../../utils/use-render-strategy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const factory = require('../factory.cjs');
const useAccordion = require('./use-accordion.cjs');
const useAccordionContext = require('./use-accordion-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "accordion-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    collapsible: { type: Boolean },
    defaultValue: {},
    disabled: { type: Boolean },
    id: {},
    ids: {},
    modelValue: {},
    multiple: { type: Boolean },
    orientation: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    collapsible: void 0,
    disabled: void 0,
    multiple: void 0
  }),
  emits: ["focusChange", "valueChange", "update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const accordion = useAccordion.useAccordion(props, emits);
    useAccordionContext.AccordionProvider(accordion);
    useRenderStrategy.RenderStrategyPropsProvider(vue.computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(accordion).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
