import { defineComponent, mergeDefaults, computed, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { RenderStrategyPropsProvider } from '../../utils/use-render-strategy.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { ark } from '../factory.js';
import { useAccordion } from './use-accordion.js';
import { AccordionProvider } from './use-accordion-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "accordion-root",
  props: /* @__PURE__ */ mergeDefaults({
    collapsible: { type: Boolean },
    defaultValue: {},
    disabled: { type: Boolean },
    id: {},
    ids: {},
    modelValue: {},
    multiple: { type: Boolean },
    orientation: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    collapsible: void 0,
    disabled: void 0,
    multiple: void 0
  }),
  emits: ["focusChange", "valueChange", "update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const accordion = useAccordion(props, emits);
    AccordionProvider(accordion);
    RenderStrategyPropsProvider(computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(accordion).getRootProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
