import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './accordion.types';
import * as accordion from '@zag-js/accordion';
export interface UseAccordionProps extends Optional<Omit<accordion.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the accordion
     */
    modelValue?: accordion.Props['value'];
}
export interface UseAccordionReturn extends ComputedRef<accordion.Api<PropTypes>> {
}
export declare const useAccordion: (props?: MaybeRef<UseAccordionProps>, emit?: EmitFn<RootEmits>) => UseAccordionReturn;
