import { defineComponent, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { ark } from '../factory.js';
import { useAngleSliderContext } from './use-angle-slider-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "angle-slider-label",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const angleSlider = useAngleSliderContext();
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).label, mergeProps(unref(angleSlider).getLabelProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
