import { defineComponent, mergeDefaults, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useAngleSlider } from './use-angle-slider.js';
import { AngleSliderProvider } from './use-angle-slider-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "angle-slider-root",
  props: /* @__PURE__ */ mergeDefaults({
    defaultValue: {},
    dir: {},
    disabled: { type: Boolean },
    getRootNode: { type: Function },
    id: {},
    ids: {},
    invalid: { type: Boolean },
    modelValue: {},
    name: {},
    readOnly: { type: Boolean },
    step: {},
    asChild: { type: Boolean }
  }, {
    disabled: void 0,
    invalid: void 0,
    readOnly: void 0
  }),
  emits: ["valueChange", "valueChangeEnd", "update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const angleSlider = useAngleSlider(props, emits);
    AngleSliderProvider(angleSlider);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(angleSlider).getRootProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
