import { PropTypes } from '@zag-js/vue';
import { ComputedRef, EmitFn, MaybeRef } from 'vue';
import { Optional } from '../../types';
import { RootEmits } from './angle-slider.types';
import * as angleSlider from '@zag-js/angle-slider';
export interface UseAngleSliderProps extends Optional<angleSlider.Props, 'id'> {
    /**
     * The v-model value of the angle slider
     */
    modelValue?: angleSlider.Props['value'];
}
export interface UseAngleSliderReturn extends ComputedRef<angleSlider.Api<PropTypes>> {
}
export declare const useAngleSlider: (props?: MaybeRef<UseAngleSliderProps>, emit?: EmitFn<RootEmits>) => UseAngleSliderReturn;
