import { defineComponent, computed, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { ark } from '../factory.js';
import { AvatarProvider } from './use-avatar-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "avatar-root-provider",
  props: {
    value: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const avatar = computed(() => props.value);
    AvatarProvider(avatar);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(avatar.value.getRootProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
