'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useAvatar = require('./use-avatar.cjs');
const useAvatarContext = require('./use-avatar-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "avatar-root",
  props: {
    id: {},
    ids: {},
    asChild: { type: Boolean }
  },
  emits: ["statusChange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const avatar = useAvatar.useAvatar(props, emits);
    useAvatarContext.AvatarProvider(avatar);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(avatar).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
