'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const carousel = require('@zag-js/carousel');
const vue$1 = require('@zag-js/vue');
const vue = require('vue');
const useEnvironmentContext = require('../../providers/environment/use-environment-context.cjs');
const useLocaleContext = require('../../providers/locale/use-locale-context.cjs');
const cleanProps = require('../../utils/clean-props.cjs');

function _interopNamespaceDefault(e) {
  const n = Object.create(null, { [Symbol.toStringTag]: { value: 'Module' } });
  if (e) {
    for (const k in e) {
      if (k !== 'default') {
        const d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: () => e[k]
        });
      }
    }
  }
  n.default = e;
  return Object.freeze(n);
}

const carousel__namespace = /*#__PURE__*/_interopNamespaceDefault(carousel);

const useCarousel = (props, emit) => {
  const id = vue.useId();
  const env = useEnvironmentContext.useEnvironmentContext();
  const locale = useLocaleContext.useLocaleContext(useLocaleContext.DEFAULT_LOCALE);
  const context = vue.computed(() => {
    const localProps = vue.toValue(props);
    return {
      id,
      dir: locale.value.dir,
      getRootNode: env?.value.getRootNode,
      ...cleanProps.cleanProps(localProps),
      onAutoplayStatusChange: (details) => {
        emit?.("autoplayStatusChange", details);
        localProps.onAutoplayStatusChange?.(details);
      },
      onDragStatusChange: (details) => {
        emit?.("dragStatusChange", details);
        localProps.onDragStatusChange?.(details);
      },
      onPageChange: (details) => {
        emit?.("pageChange", details);
        emit?.("update:page", details.page);
        localProps.onPageChange?.(details);
      }
    };
  });
  const service = vue$1.useMachine(carousel__namespace.machine, context);
  return vue.computed(() => carousel__namespace.connect(service, vue$1.normalizeProps));
};

exports.useCarousel = useCarousel;
