'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const checkbox_anatomy = require('./checkbox.anatomy.cjs');
const useCheckboxGroup = require('./use-checkbox-group.cjs');
const useCheckboxGroupContext = require('./use-checkbox-group-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "checkbox-group",
  props: /* @__PURE__ */ vue.mergeDefaults({
    defaultValue: {},
    modelValue: {},
    disabled: { type: Boolean },
    readOnly: { type: Boolean },
    name: {},
    invalid: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    disabled: void 0,
    readOnly: void 0,
    invalid: void 0
  }),
  emits: ["valueChange", "update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const checkboxGroup = useCheckboxGroup.useCheckboxGroup(props, emits);
    useCheckboxGroupContext.CheckboxGroupProvider(checkboxGroup);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps({ role: "group" }, { ...vue.unref(checkbox_anatomy.checkboxAnatomy).build().group.attrs }, { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
