import { defineComponent, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useCheckboxContext } from './use-checkbox-context.js';
import { useFieldContext } from '../field/use-field-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "checkbox-hidden-input",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const checkbox = useCheckboxContext();
    const field = useFieldContext();
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).input, mergeProps({
        "aria-describedby": unref(field)?.ariaDescribedby
      }, unref(checkbox).getHiddenInputProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["aria-describedby", "as-child"]);
    };
  }
});

export { _sfc_main as default };
