'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useCheckboxContext = require('./use-checkbox-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "checkbox-indicator",
  props: {
    indeterminate: { type: Boolean },
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const checkbox = useCheckboxContext.useCheckboxContext();
    const isHidden = vue.computed(() => props.indeterminate ? checkbox.value.indeterminate : checkbox.value.checked);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(checkbox).getIndicatorProps(), {
        hidden: !isHidden.value,
        "as-child": _ctx.asChild
      }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["hidden", "as-child"]);
    };
  }
});

exports.default = _sfc_main;
