import { defineComponent, computed, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useCheckboxContext } from './use-checkbox-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "checkbox-indicator",
  props: {
    indeterminate: { type: Boolean },
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const checkbox = useCheckboxContext();
    const isHidden = computed(() => props.indeterminate ? checkbox.value.indeterminate : checkbox.value.checked);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(checkbox).getIndicatorProps(), {
        hidden: !isHidden.value,
        "as-child": _ctx.asChild
      }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["hidden", "as-child"]);
    };
  }
});

export { _sfc_main as default };
