import { EmitFn } from '../../types';
import { GroupEmits, GroupProps } from './checkbox-group.types';
import { ComputedRef } from 'vue';
export interface UseCheckboxGroupProps extends GroupProps {
}
export type UseCheckboxGroupReturn = ReturnType<typeof useCheckboxGroup>;
interface CheckboxGroupItemProps {
    value: string | undefined;
}
export declare function useCheckboxGroup(props: GroupProps, emit?: EmitFn<GroupEmits>): ComputedRef<{
    isChecked: (val: string | undefined) => boolean;
    value: string[];
    name: string | undefined;
    disabled: boolean | undefined;
    readOnly: boolean | undefined;
    invalid: boolean | undefined;
    addValue: (val: string) => void;
    setValue: (value: string[]) => void;
    toggleValue: (val: string) => void;
    getItemProps: (itemProps: CheckboxGroupItemProps) => {
        checked: boolean | undefined;
        onCheckedChange(): void;
        name: string | undefined;
        disabled: boolean | undefined;
        readOnly: boolean | undefined;
        invalid: boolean | undefined;
    };
}>;
export {};
