import { defineComponent, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useClipboardContext } from './use-clipboard-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "clipboard-indicator",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const clipboard = useClipboardContext();
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(clipboard).getIndicatorProps({ copied: unref(clipboard).copied }), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          unref(clipboard).copied ? renderSlot(_ctx.$slots, "copied", { key: 0 }) : renderSlot(_ctx.$slots, "default", { key: 1 })
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
