import { defineComponent, createBlock, openBlock, unref, withCtx, renderSlot, createTextVNode, toDisplayString } from 'vue';
import { ark } from '../factory.js';
import { useClipboardContext } from './use-clipboard-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "clipboard-value-text",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const clipboard = useClipboardContext();
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).span, { "as-child": _ctx.asChild }, {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default", {}, () => [
            createTextVNode(toDisplayString(unref(clipboard).value), 1)
          ])
        ]),
        _: 3
      }, 8, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
