import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './clipboard.types';
import * as clipboard from '@zag-js/clipboard';
export interface UseClipboardProps extends Optional<Omit<clipboard.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the clipboard
     */
    modelValue?: clipboard.Props['value'];
}
export interface UseClipboardReturn extends ComputedRef<clipboard.Api<PropTypes>> {
}
export declare const useClipboard: (props?: MaybeRef<UseClipboardProps>, emit?: EmitFn<RootEmits>) => UseClipboardReturn;
