import { defineComponent, createBlock, createCommentVNode, unref, openBlock, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useCollapsibleContext } from './use-collapsible-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "collapsible-content",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const collapsible = useCollapsibleContext();
    useForwardExpose();
    return (_ctx, _cache) => {
      return !unref(collapsible).unmounted ? (openBlock(), createBlock(unref(ark).div, mergeProps({ key: 0 }, unref(collapsible).getContentProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"])) : createCommentVNode("", true);
    };
  }
});

export { _sfc_main as default };
