'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useCollapsible = require('./use-collapsible.cjs');
const useCollapsibleContext = require('./use-collapsible-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "collapsible-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    defaultOpen: { type: Boolean },
    disabled: { type: Boolean },
    id: {},
    ids: {},
    lazyMount: { type: Boolean },
    open: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    defaultOpen: void 0,
    disabled: void 0,
    lazyMount: void 0,
    open: void 0,
    unmountOnExit: void 0
  }),
  emits: ["exitComplete", "openChange", "update:open"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const collapsible = useCollapsible.useCollapsible(props, emits);
    useCollapsibleContext.CollapsibleProvider(collapsible);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(collapsible).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
