import { defineComponent, mergeDefaults, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useCollapsible } from './use-collapsible.js';
import { CollapsibleProvider } from './use-collapsible-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "collapsible-root",
  props: /* @__PURE__ */ mergeDefaults({
    defaultOpen: { type: Boolean },
    disabled: { type: Boolean },
    id: {},
    ids: {},
    lazyMount: { type: Boolean },
    open: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    defaultOpen: void 0,
    disabled: void 0,
    lazyMount: void 0,
    open: void 0,
    unmountOnExit: void 0
  }),
  emits: ["exitComplete", "openChange", "update:open"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const collapsible = useCollapsible(props, emits);
    CollapsibleProvider(collapsible);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(collapsible).getRootProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
