import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RenderStrategyProps } from '../../utils/use-render-strategy';
import { RootEmits } from './collapsible.types';
import * as collapsible from '@zag-js/collapsible';
export interface UseCollapsibleProps extends RenderStrategyProps, Optional<Omit<collapsible.Props, 'dir' | 'getRootNode'>, 'id'> {
}
interface Collapsible extends collapsible.Api<PropTypes> {
    /**
     * Whether the content is unmounted
     */
    unmounted?: boolean;
}
export interface UseCollapsibleReturn extends ComputedRef<Collapsible> {
}
export declare const useCollapsible: (props?: MaybeRef<UseCollapsibleProps>, emits?: EmitFn<RootEmits>) => UseCollapsibleReturn;
export {};
