'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useColorPickerContext = require('./use-color-picker-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const vue$1 = require('@zag-js/vue');
const usePresenceContext = require('../presence/use-presence-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "color-picker-content",
  props: {
    immediate: { type: Boolean },
    lazyMount: { type: Boolean },
    present: { type: Boolean },
    skipAnimationOnMount: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  },
  setup(__props) {
    const colorPicker = useColorPickerContext.useColorPickerContext();
    const presence = usePresenceContext.usePresenceContext();
    const mergedProps = vue.computed(() => vue$1.mergeProps(colorPicker.value.getContentProps(), presence.value.presenceProps));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return !vue.unref(presence).unmounted ? (vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps({ key: 0 }, mergedProps.value, { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"])) : vue.createCommentVNode("", true);
    };
  }
});

exports.default = _sfc_main;
