import { defineComponent, renderSlot, normalizeProps, guardReactiveProps, unref } from 'vue';
import { useColorPickerContext } from './use-color-picker-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "color-picker-context",
  setup(__props) {
    const colorPicker = useColorPickerContext();
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps(unref(colorPicker))));
    };
  }
});

export { _sfc_main as default };
