'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useColorPicker = require('./use-color-picker.cjs');
const useColorPickerContext = require('./use-color-picker-context.cjs');
const useRenderStrategy = require('../../utils/use-render-strategy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "color-picker-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    closeOnSelect: { type: Boolean },
    defaultFormat: {},
    defaultOpen: { type: Boolean },
    defaultValue: {},
    disabled: { type: Boolean },
    format: {},
    id: {},
    ids: {},
    initialFocusEl: { type: Function },
    invalid: { type: Boolean },
    modelValue: {},
    name: {},
    open: { type: Boolean },
    openAutoFocus: { type: Boolean },
    positioning: {},
    readOnly: { type: Boolean },
    required: { type: Boolean },
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    closeOnSelect: void 0,
    defaultOpen: void 0,
    disabled: void 0,
    invalid: void 0,
    open: void 0,
    openAutoFocus: void 0,
    readOnly: void 0,
    required: void 0
  }),
  emits: ["focusOutside", "formatChange", "interactOutside", "openChange", "pointerDownOutside", "valueChange", "valueChangeEnd", "update:modelValue", "update:open", "update:format"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const colorPicker = useColorPicker.useColorPicker(props, emits);
    useColorPickerContext.ColorPickerProvider(colorPicker);
    useRenderStrategy.RenderStrategyPropsProvider(vue.computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(colorPicker).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
