import { HTMLAttributes, DefineComponent, ComponentOptionsMixin, PublicProps, ComponentProvideOptions } from 'vue';
import { RenderStrategyProps } from '../../utils';
import { PolymorphicProps } from '../factory';
import { RootEmits, RootProps } from './color-picker.types';
import { ValueChangeDetails, OpenChangeDetails, FormatChangeDetails } from '@zag-js/color-picker';
import { Color, ColorFormat } from '@zag-js/color-utils';
import { FocusOutsideEvent, InteractOutsideEvent, PointerDownOutsideEvent } from '@zag-js/interact-outside';
export interface ColorPickerRootBaseProps extends RootProps, RenderStrategyProps, PolymorphicProps {
}
export interface ColorPickerRootProps extends ColorPickerRootBaseProps, 
/**
 * @vue-ignore
 */
HTMLAttributes {
}
export interface ColorPickerRootEmits extends RootEmits {
}
declare const _default: __VLS_WithTemplateSlots< DefineComponent<ColorPickerRootProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    valueChange: (details: ValueChangeDetails) => any;
    "update:modelValue": (value: Color) => any;
    openChange: (details: OpenChangeDetails) => any;
    "update:open": (open: boolean) => any;
    valueChangeEnd: (details: ValueChangeDetails) => any;
    focusOutside: (event: FocusOutsideEvent) => any;
    formatChange: (details: FormatChangeDetails) => any;
    interactOutside: (event: InteractOutsideEvent) => any;
    pointerDownOutside: (event: PointerDownOutsideEvent) => any;
    "update:format": (format: ColorFormat) => any;
}, string, PublicProps, Readonly<ColorPickerRootProps> & Readonly<{
    onValueChange?: ((details: ValueChangeDetails) => any) | undefined;
    "onUpdate:modelValue"?: ((value: Color) => any) | undefined;
    onOpenChange?: ((details: OpenChangeDetails) => any) | undefined;
    "onUpdate:open"?: ((open: boolean) => any) | undefined;
    onValueChangeEnd?: ((details: ValueChangeDetails) => any) | undefined;
    onFocusOutside?: ((event: FocusOutsideEvent) => any) | undefined;
    onFormatChange?: ((details: FormatChangeDetails) => any) | undefined;
    onInteractOutside?: ((event: InteractOutsideEvent) => any) | undefined;
    onPointerDownOutside?: ((event: PointerDownOutsideEvent) => any) | undefined;
    "onUpdate:format"?: ((format: ColorFormat) => any) | undefined;
}>, {
    invalid: boolean;
    disabled: boolean;
    required: boolean;
    open: boolean;
    defaultOpen: boolean;
    readOnly: boolean;
    closeOnSelect: boolean;
    openAutoFocus: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
