import { defineComponent, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useColorPickerContext } from './use-color-picker-context.js';
import { useColorPickerSwatchPropsContext } from './use-color-picker-swatch-props-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "color-picker-swatch-indicator",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const colorPicker = useColorPickerContext();
    const swatchProps = useColorPickerSwatchPropsContext();
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(colorPicker).getSwatchIndicatorProps(unref(swatchProps)), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
