'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const factory = require('../factory.cjs');
const useColorPickerContext = require('./use-color-picker-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "color-picker-value-text",
  props: {
    format: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const colorPicker = useColorPickerContext.useColorPickerContext();
    const slots = vue.useSlots();
    useForwardExpose.useForwardExpose();
    const valueAsString = vue.computed(
      () => props.format ? colorPicker.value.value.toString(props.format) : colorPicker.value.valueAsString
    );
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).span, vue.mergeProps(vue.unref(colorPicker).getValueTextProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default", {}, () => [
            vue.createTextVNode(vue.toDisplayString(slots.default?.() || valueAsString.value), 1)
          ])
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
