import { defineComponent, useSlots, computed, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot, createTextVNode, toDisplayString } from 'vue';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { ark } from '../factory.js';
import { useColorPickerContext } from './use-color-picker-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "color-picker-value-text",
  props: {
    format: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const colorPicker = useColorPickerContext();
    const slots = useSlots();
    useForwardExpose();
    const valueAsString = computed(
      () => props.format ? colorPicker.value.value.toString(props.format) : colorPicker.value.valueAsString
    );
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).span, mergeProps(unref(colorPicker).getValueTextProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default", {}, () => [
            createTextVNode(toDisplayString(slots.default?.() || valueAsString.value), 1)
          ])
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
