import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './color-picker.types';
import * as colorPicker from '@zag-js/color-picker';
export interface UseColorPickerProps extends Optional<Omit<colorPicker.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the color picker
     */
    modelValue?: colorPicker.Color;
}
export interface UseColorPickerReturn extends ComputedRef<colorPicker.Api<PropTypes>> {
}
export declare const useColorPicker: (props?: MaybeRef<UseColorPickerProps>, emit?: EmitFn<RootEmits>) => UseColorPickerReturn;
