import { defineComponent, useId, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useComboboxContext } from './use-combobox-context.js';
import { ComboboxItemGroupPropsProvider } from './use-combobox-item-group-props-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "combobox-item-group",
  props: {
    id: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const combobox = useComboboxContext();
    const id = props.id ?? useId();
    ComboboxItemGroupPropsProvider({ id });
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(combobox).getItemGroupProps({ id: unref(id) }), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
