'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useComboboxContext = require('./use-combobox-context.cjs');
const useComboboxItemContext = require('./use-combobox-item-context.cjs');
const useComboboxItemPropsContext = require('./use-combobox-item-props-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "combobox-item",
  props: {
    persistFocus: { type: Boolean },
    item: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const combobox = useComboboxContext.useComboboxContext();
    useComboboxItemPropsContext.ComboboxItemPropsProvider(props);
    useComboboxItemContext.ComboboxItemProvider(vue.computed(() => combobox.value.getItemState(props)));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(combobox).getItemProps(props), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
