import { defineComponent, computed, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useComboboxContext } from './use-combobox-context.js';
import { ComboboxItemProvider } from './use-combobox-item-context.js';
import { ComboboxItemPropsProvider } from './use-combobox-item-props-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "combobox-item",
  props: {
    persistFocus: { type: Boolean },
    item: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const combobox = useComboboxContext();
    ComboboxItemPropsProvider(props);
    ComboboxItemProvider(computed(() => combobox.value.getItemState(props)));
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(combobox).getItemProps(props), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
