import { defineComponent, computed, createBlock, createCommentVNode, unref, openBlock, mergeProps, withCtx, renderSlot } from 'vue';
import { useRenderStrategyProps } from '../../utils/use-render-strategy.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { usePresence } from '../presence/use-presence.js';
import { PresenceProvider } from '../presence/use-presence-context.js';
import { useDatePickerContext } from './use-date-picker-context.js';
import { ark } from '../factory.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "date-picker-positioner",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const datePicker = useDatePickerContext();
    const renderStrategy = useRenderStrategyProps();
    const presence = usePresence(
      computed(() => ({
        ...renderStrategy.value,
        present: datePicker.value.open
      }))
    );
    PresenceProvider(presence);
    useForwardExpose();
    return (_ctx, _cache) => {
      return !unref(presence).unmounted ? (openBlock(), createBlock(unref(ark).div, mergeProps({ key: 0 }, unref(datePicker).getPositionerProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"])) : createCommentVNode("", true);
    };
  }
});

export { _sfc_main as default };
