import { defineComponent, createBlock, openBlock, unref, mergeProps, withCtx, createTextVNode, toDisplayString } from 'vue';
import { ark } from '../factory.js';
import { useDatePickerContext } from './use-date-picker-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "date-picker-range-text",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const datePicker = useDatePickerContext();
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(datePicker).getRangeTextProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          createTextVNode(toDisplayString(unref(datePicker).visibleRangeText.start), 1)
        ]),
        _: 1
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
