'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useRenderStrategy = require('../../utils/use-render-strategy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const factory = require('../factory.cjs');
const useDatePicker = require('./use-date-picker.cjs');
const useDatePickerContext = require('./use-date-picker-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "date-picker-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    closeOnSelect: { type: Boolean },
    defaultFocusedValue: {},
    defaultOpen: { type: Boolean },
    defaultValue: {},
    defaultView: {},
    disabled: { type: Boolean },
    fixedWeeks: { type: Boolean },
    focusedValue: {},
    format: { type: Function },
    id: {},
    ids: {},
    isDateUnavailable: { type: Function },
    locale: {},
    max: {},
    maxView: {},
    min: {},
    minView: {},
    modelValue: {},
    name: {},
    numOfMonths: {},
    open: { type: Boolean },
    outsideDaySelectable: { type: Boolean },
    parse: { type: Function },
    placeholder: {},
    positioning: {},
    readOnly: { type: Boolean },
    selectionMode: {},
    startOfWeek: {},
    timeZone: {},
    translations: {},
    view: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    closeOnSelect: void 0,
    defaultOpen: void 0,
    disabled: void 0,
    fixedWeeks: void 0,
    open: void 0,
    readOnly: void 0,
    outsideDaySelectable: void 0
  }),
  emits: ["focusChange", "openChange", "valueChange", "viewChange", "update:modelValue", "update:open", "update:view", "update:focusedValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const datePicker = useDatePicker.useDatePicker(props, emits);
    useDatePickerContext.DatePickerProvider(datePicker);
    useRenderStrategy.RenderStrategyPropsProvider(vue.computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(datePicker).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
