import { HTMLAttributes, DefineComponent, ComponentOptionsMixin, PublicProps, ComponentProvideOptions } from 'vue';
import { RenderStrategyProps } from '../../utils';
import { PolymorphicProps } from '../factory';
import { RootEmits, RootProps } from './date-picker.types';
import { FocusChangeDetails, ValueChangeDetails, OpenChangeDetails, ViewChangeDetails, DateView } from '@zag-js/date-picker';
import { DateValue } from '@internationalized/date';
export interface DatePickerRootBaseProps extends RootProps, RenderStrategyProps, PolymorphicProps {
}
export interface DatePickerRootProps extends DatePickerRootBaseProps, 
/**
 * @vue-ignore
 */
HTMLAttributes {
}
export interface DatePickerRootEmits extends RootEmits {
}
declare const _default: __VLS_WithTemplateSlots< DefineComponent<DatePickerRootProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    focusChange: (details: FocusChangeDetails) => any;
    valueChange: (details: ValueChangeDetails) => any;
    "update:modelValue": (value: DateValue[]) => any;
    openChange: (details: OpenChangeDetails) => any;
    "update:open": (open: boolean) => any;
    viewChange: (details: ViewChangeDetails) => any;
    "update:view": (view: DateView) => any;
    "update:focusedValue": (focusedValue: DateValue) => any;
}, string, PublicProps, Readonly<DatePickerRootProps> & Readonly<{
    onFocusChange?: ((details: FocusChangeDetails) => any) | undefined;
    onValueChange?: ((details: ValueChangeDetails) => any) | undefined;
    "onUpdate:modelValue"?: ((value: DateValue[]) => any) | undefined;
    onOpenChange?: ((details: OpenChangeDetails) => any) | undefined;
    "onUpdate:open"?: ((open: boolean) => any) | undefined;
    onViewChange?: ((details: ViewChangeDetails) => any) | undefined;
    "onUpdate:view"?: ((view: DateView) => any) | undefined;
    "onUpdate:focusedValue"?: ((focusedValue: DateValue) => any) | undefined;
}>, {
    disabled: boolean;
    open: boolean;
    defaultOpen: boolean;
    readOnly: boolean;
    closeOnSelect: boolean;
    outsideDaySelectable: boolean;
    fixedWeeks: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
