import { defineComponent, mergeDefaults, computed, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { RenderStrategyPropsProvider } from '../../utils/use-render-strategy.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { ark } from '../factory.js';
import { useDatePicker } from './use-date-picker.js';
import { DatePickerProvider } from './use-date-picker-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "date-picker-root",
  props: /* @__PURE__ */ mergeDefaults({
    closeOnSelect: { type: Boolean },
    defaultFocusedValue: {},
    defaultOpen: { type: Boolean },
    defaultValue: {},
    defaultView: {},
    disabled: { type: Boolean },
    fixedWeeks: { type: Boolean },
    focusedValue: {},
    format: { type: Function },
    id: {},
    ids: {},
    isDateUnavailable: { type: Function },
    locale: {},
    max: {},
    maxView: {},
    min: {},
    minView: {},
    modelValue: {},
    name: {},
    numOfMonths: {},
    open: { type: Boolean },
    outsideDaySelectable: { type: Boolean },
    parse: { type: Function },
    placeholder: {},
    positioning: {},
    readOnly: { type: Boolean },
    selectionMode: {},
    startOfWeek: {},
    timeZone: {},
    translations: {},
    view: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    closeOnSelect: void 0,
    defaultOpen: void 0,
    disabled: void 0,
    fixedWeeks: void 0,
    open: void 0,
    readOnly: void 0,
    outsideDaySelectable: void 0
  }),
  emits: ["focusChange", "openChange", "valueChange", "viewChange", "update:modelValue", "update:open", "update:view", "update:focusedValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const datePicker = useDatePicker(props, emits);
    DatePickerProvider(datePicker);
    RenderStrategyPropsProvider(computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(datePicker).getRootProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
