'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useDatePickerContext = require('./use-date-picker-context.cjs');
const useDatePickerTableCellPropsContext = require('./use-date-picker-table-cell-props-context.cjs');
const useDatePickerViewPropsContext = require('./use-date-picker-view-props-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "date-picker-table-cell-trigger",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const datePicker = useDatePickerContext.useDatePickerContext();
    const cellProps = useDatePickerTableCellPropsContext.useDatePickerTableCellPropsContext();
    const viewProps = useDatePickerViewPropsContext.useDatePickerViewPropsContext();
    const triggerProps = vue.computed(() => {
      const viewMap = {
        day: datePicker.value.getDayTableCellTriggerProps,
        month: datePicker.value.getMonthTableCellTriggerProps,
        year: datePicker.value.getYearTableCellTriggerProps
      };
      const viewFn = viewMap[viewProps.view];
      return viewFn(cellProps);
    });
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(triggerProps.value, { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
