'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useDatePickerContext = require('./use-date-picker-context.cjs');
const useDatePickerTableCellPropsContext = require('./use-date-picker-table-cell-props-context.cjs');
const useDatePickerViewPropsContext = require('./use-date-picker-view-props-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "date-picker-table-cell",
  props: {
    value: {},
    disabled: { type: Boolean },
    columns: {},
    visibleRange: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const datePicker = useDatePickerContext.useDatePickerContext();
    const viewProps = useDatePickerViewPropsContext.useDatePickerViewPropsContext();
    useDatePickerTableCellPropsContext.DatePickerTableCellPropsProvider(props);
    const tableCellProps = vue.computed(() => {
      return {
        day: datePicker.value.getDayTableCellProps,
        month: datePicker.value.getMonthTableCellProps,
        year: datePicker.value.getYearTableCellProps
        // @ts-expect-error use filter guard
      }[viewProps.view ?? "day"](props);
    });
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).td, vue.mergeProps(tableCellProps.value, { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
