'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useDatePickerContext = require('./use-date-picker-context.cjs');
const useDatePickerTablePropsContext = require('./use-date-picker-table-props-context.cjs');
const useDatePickerViewPropsContext = require('./use-date-picker-view-props-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "date-picker-table",
  props: {
    view: {},
    columns: {},
    id: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const datePicker = useDatePickerContext.useDatePickerContext();
    const viewProps = useDatePickerViewPropsContext.useDatePickerViewPropsContext();
    const id = props.id ?? vue.useId();
    useDatePickerTablePropsContext.DatePickerTablePropsProvider({ ...props, id, ...viewProps });
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).table, vue.mergeProps(vue.unref(datePicker).getTableProps(props), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
