import { defineComponent, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useDatePickerContext } from './use-date-picker-context.js';
import { DatePickerViewPropsProvider } from './use-date-picker-view-props-context.js';
import { datePickerAnatomy } from './date-picker.anatomy.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "date-picker-view",
  props: {
    view: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const datePicker = useDatePickerContext();
    DatePickerViewPropsProvider(props);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(datePickerAnatomy).build().view.attrs, {
        hidden: unref(datePicker).view !== _ctx.view,
        "as-child": _ctx.asChild
      }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["hidden", "as-child"]);
    };
  }
});

export { _sfc_main as default };
