import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './date-picker.types';
import * as datePicker from '@zag-js/date-picker';
export interface UseDatePickerProps extends Optional<Omit<datePicker.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the date picker
     */
    modelValue?: datePicker.Props['value'];
}
export interface UseDatePickerReturn extends ComputedRef<datePicker.Api<PropTypes>> {
}
export declare const useDatePicker: (props?: MaybeRef<UseDatePickerProps>, emit?: EmitFn<RootEmits>) => UseDatePickerReturn;
