import { RenderStrategyProps } from '../../utils';
import { RootEmits, RootProps } from './dialog.types';
import { DefineComponent, ComponentOptionsMixin, PublicProps, ComponentProvideOptions } from 'vue';
import { OpenChangeDetails } from '@zag-js/dialog';
import { FocusOutsideEvent, InteractOutsideEvent, PointerDownOutsideEvent } from '@zag-js/interact-outside';
export interface DialogRootBaseProps extends RootProps, RenderStrategyProps {
}
export interface DialogRootProps extends DialogRootBaseProps {
}
export interface DialogRootEmits extends RootEmits {
}
declare const _default: __VLS_WithTemplateSlots< DefineComponent<DialogRootProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    openChange: (details: OpenChangeDetails) => any;
    "update:open": (open: boolean) => any;
    focusOutside: (event: FocusOutsideEvent) => any;
    interactOutside: (event: InteractOutsideEvent) => any;
    pointerDownOutside: (event: PointerDownOutsideEvent) => any;
    escapeKeyDown: (event: KeyboardEvent) => any;
}, string, PublicProps, Readonly<DialogRootProps> & Readonly<{
    onOpenChange?: ((details: OpenChangeDetails) => any) | undefined;
    "onUpdate:open"?: ((open: boolean) => any) | undefined;
    onFocusOutside?: ((event: FocusOutsideEvent) => any) | undefined;
    onInteractOutside?: ((event: InteractOutsideEvent) => any) | undefined;
    onPointerDownOutside?: ((event: PointerDownOutsideEvent) => any) | undefined;
    onEscapeKeyDown?: ((event: KeyboardEvent) => any) | undefined;
}>, {
    open: boolean;
    defaultOpen: boolean;
    closeOnEscape: boolean;
    closeOnInteractOutside: boolean;
    modal: boolean;
    preventScroll: boolean;
    restoreFocus: boolean;
    trapFocus: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
