import { FileMimeType } from '@zag-js/file-utils';
import { ButtonHTMLAttributes, DefineComponent, ComponentOptionsMixin, PublicProps, ComponentProvideOptions } from 'vue';
import { MaybePromise } from '../../types';
import { PolymorphicProps } from '../factory';
export type DownloadableData = string | Blob | File;
export interface DownloadTriggerBaseProps extends PolymorphicProps {
    /**
     * The name of the file to download
     */
    fileName: string;
    /**
     * The data to download
     */
    data: DownloadableData | (() => MaybePromise<DownloadableData>);
    /**
     * The MIME type of the data to download
     */
    mimeType: FileMimeType;
}
export interface DownloadTriggerProps extends DownloadTriggerBaseProps, 
/**
 * @vue-ignore
 */
ButtonHTMLAttributes {
}
declare const _default: __VLS_WithTemplateSlots< DefineComponent<DownloadTriggerProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {}, string, PublicProps, Readonly<DownloadTriggerProps> & Readonly<{}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
