import { defineComponent, renderSlot, normalizeProps, guardReactiveProps, unref } from 'vue';
import { useEditableContext } from './use-editable-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "editable-context",
  setup(__props) {
    const editable = useEditableContext();
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default", normalizeProps(guardReactiveProps(unref(editable))));
    };
  }
});

export { _sfc_main as default };
