'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useEditable = require('./use-editable.cjs');
const useEditableContext = require('./use-editable-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "editable-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    activationMode: {},
    autoResize: { type: Boolean },
    defaultEdit: { type: Boolean },
    defaultValue: {},
    disabled: { type: Boolean },
    edit: { type: Boolean },
    finalFocusEl: { type: Function },
    form: {},
    id: {},
    ids: {},
    invalid: { type: Boolean },
    maxLength: {},
    modelValue: {},
    name: {},
    placeholder: {},
    readOnly: { type: Boolean },
    required: { type: Boolean },
    selectOnFocus: { type: Boolean },
    submitMode: {},
    translations: {},
    asChild: { type: Boolean }
  }, {
    autoResize: void 0,
    defaultEdit: void 0,
    disabled: void 0,
    edit: void 0,
    invalid: void 0,
    readOnly: void 0,
    required: void 0,
    selectOnFocus: void 0
  }),
  emits: ["editChange", "focusOutside", "interactOutside", "pointerDownOutside", "valueChange", "valueCommit", "valueRevert", "update:modelValue", "update:edit"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const editable = useEditable.useEditable(props, emits);
    useEditableContext.EditableProvider(editable);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(editable).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
