import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './editable';
import * as editable from '@zag-js/editable';
export interface UseEditableProps extends Optional<Omit<editable.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the editable
     */
    modelValue?: editable.Props['value'];
}
export interface UseEditableReturn extends ComputedRef<editable.Api<PropTypes>> {
}
export declare const useEditable: (props?: MaybeRef<UseEditableProps>, emit?: EmitFn<RootEmits>) => UseEditableReturn;
