import { defineComponent, createBlock, createCommentVNode, unref, openBlock, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useFieldContext } from './use-field-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "field-error-text",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const field = useFieldContext();
    useForwardExpose();
    return (_ctx, _cache) => {
      return unref(field).invalid ? (openBlock(), createBlock(unref(ark).span, mergeProps({ key: 0 }, unref(field).getErrorTextProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"])) : createCommentVNode("", true);
    };
  }
});

export { _sfc_main as default };
