'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useField = require('./use-field.cjs');
const useFieldContext = require('./use-field-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "field-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    disabled: { type: Boolean },
    id: {},
    ids: {},
    invalid: { type: Boolean },
    readOnly: { type: Boolean },
    required: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    disabled: void 0,
    invalid: void 0,
    readOnly: void 0,
    required: void 0
  }),
  setup(__props) {
    const props = __props;
    const field = useField.useField(props);
    useFieldContext.FieldProvider(field);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(field).getRootProps(), {
        ref: vue.unref(field).refs.rootRef,
        "as-child": _ctx.asChild
      }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
