import { defineComponent, mergeDefaults, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useField } from './use-field.js';
import { FieldProvider } from './use-field-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "field-root",
  props: /* @__PURE__ */ mergeDefaults({
    disabled: { type: Boolean },
    id: {},
    ids: {},
    invalid: { type: Boolean },
    readOnly: { type: Boolean },
    required: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    disabled: void 0,
    invalid: void 0,
    readOnly: void 0,
    required: void 0
  }),
  setup(__props) {
    const props = __props;
    const field = useField(props);
    FieldProvider(field);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(field).getRootProps(), {
        ref: unref(field).refs.rootRef,
        "as-child": _ctx.asChild
      }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
