import { defineComponent, createBlock, createCommentVNode, unref, openBlock, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useFieldsetContext } from './use-fieldset-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "fieldset-error-text",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const fieldset = useFieldsetContext();
    useForwardExpose();
    return (_ctx, _cache) => {
      return unref(fieldset).invalid ? (openBlock(), createBlock(unref(ark).span, mergeProps({ key: 0 }, unref(fieldset).getErrorTextProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"])) : createCommentVNode("", true);
    };
  }
});

export { _sfc_main as default };
