'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useFieldset = require('./use-fieldset.cjs');
const useFieldsetContext = require('./use-fieldset-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "fieldset-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    disabled: { type: [Boolean, String] },
    id: {},
    invalid: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    disabled: void 0,
    invalid: void 0
  }),
  setup(__props) {
    const props = __props;
    const fieldset = useFieldset.useFieldset(props);
    useFieldsetContext.FieldsetProvider(fieldset);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).fieldset, vue.mergeProps(vue.unref(fieldset).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
