import { FieldsetHTMLAttributes, HTMLAttributes, MaybeRef, ComputedRef, Ref } from 'vue';
export interface UseFieldsetProps {
    /**
     * The id of the fieldset.
     */
    id?: string;
    /**
     * Indicates whether the fieldset is disabled.
     */
    disabled?: boolean | 'true' | 'false';
    /**
     * Indicates whether the fieldset is invalid.
     */
    invalid?: boolean;
}
export type UseFieldsetReturn = ReturnType<typeof useFieldset>;
export declare const useFieldset: (props: MaybeRef<UseFieldsetProps>) => ComputedRef<{
    refs: {
        rootRef: Ref<null, null>;
    };
    disabled: boolean | "true" | "false" | undefined;
    invalid: boolean | undefined;
    getRootProps: () => FieldsetHTMLAttributes;
    getLegendProps: () => {
        'data-disabled': string | undefined;
        'data-invalid': string | undefined;
        "data-scope": string;
        "data-part": string;
        id: string;
    };
    getHelperTextProps: () => {
        "data-scope": string;
        "data-part": string;
        id: string;
    };
    getErrorTextProps: () => HTMLAttributes;
}>;
