'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useFileUploadContext = require('./use-file-upload-context.cjs');
const useFileUploadItemPropsContext = require('./use-file-upload-item-props-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "file-upload-item-preview-image",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const fileUpload = useFileUploadContext.useFileUploadContext();
    const itemProps = useFileUploadItemPropsContext.useFileUploadItemPropsContext();
    const url = vue.ref("");
    vue.watchEffect((onCleanup) => {
      const cleanup = fileUpload.value.createFileUrl(itemProps.file, (src) => url.value = src);
      onCleanup(cleanup);
    });
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return url.value ? (vue.openBlock(), vue.createBlock(vue.unref(factory.ark).img, vue.normalizeProps(vue.mergeProps({ key: 0 }, vue.unref(fileUpload).getItemPreviewImageProps({ ...vue.unref(itemProps), url: url.value }))), null, 16)) : vue.createCommentVNode("", true);
    };
  }
});

exports.default = _sfc_main;
