'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useFileUpload = require('./use-file-upload.cjs');
const useFileUploadContext = require('./use-file-upload-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "file-upload-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    accept: {},
    allowDrop: { type: Boolean },
    capture: {},
    directory: { type: Boolean },
    disabled: { type: Boolean },
    id: {},
    ids: {},
    invalid: { type: Boolean },
    locale: {},
    maxFileSize: {},
    maxFiles: {},
    minFileSize: {},
    name: {},
    preventDocumentDrop: { type: Boolean },
    required: { type: Boolean },
    translations: {},
    validate: { type: Function },
    asChild: { type: Boolean }
  }, {
    allowDrop: void 0,
    directory: void 0,
    disabled: void 0,
    invalid: void 0,
    preventDocumentDrop: void 0,
    required: void 0
  }),
  emits: ["fileAccept", "fileChange", "fileReject"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const fileUpload = useFileUpload.useFileUpload(props, emits);
    useFileUploadContext.FileUploadProvider(fileUpload);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(fileUpload).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
