import { defineComponent, mergeDefaults, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useFileUpload } from './use-file-upload.js';
import { FileUploadProvider } from './use-file-upload-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "file-upload-root",
  props: /* @__PURE__ */ mergeDefaults({
    accept: {},
    allowDrop: { type: Boolean },
    capture: {},
    directory: { type: Boolean },
    disabled: { type: Boolean },
    id: {},
    ids: {},
    invalid: { type: Boolean },
    locale: {},
    maxFileSize: {},
    maxFiles: {},
    minFileSize: {},
    name: {},
    preventDocumentDrop: { type: Boolean },
    required: { type: Boolean },
    translations: {},
    validate: { type: Function },
    asChild: { type: Boolean }
  }, {
    allowDrop: void 0,
    directory: void 0,
    disabled: void 0,
    invalid: void 0,
    preventDocumentDrop: void 0,
    required: void 0
  }),
  emits: ["fileAccept", "fileChange", "fileReject"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const fileUpload = useFileUpload(props, emits);
    FileUploadProvider(fileUpload);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(fileUpload).getRootProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
