'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const usePresence = require('../presence/use-presence.cjs');
const usePresenceContext = require('../presence/use-presence-context.cjs');
const useFloatingPanelContext = require('./use-floating-panel-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "floating-panel-root-provider",
  props: {
    value: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const floatingPanel = vue.computed(() => props.value);
    useFloatingPanelContext.FloatingPanelProvider(floatingPanel);
    const presence = usePresence.usePresence(vue.computed(() => ({ present: floatingPanel.value.open })));
    usePresenceContext.PresenceProvider(presence);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.renderSlot(_ctx.$slots, "default");
    };
  }
});

exports.default = _sfc_main;
