'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const usePresence = require('../presence/use-presence.cjs');
const usePresenceContext = require('../presence/use-presence-context.cjs');
const useFloatingPanel = require('./use-floating-panel.cjs');
const useFloatingPanelContext = require('./use-floating-panel-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "floating-panel-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    allowOverflow: { type: Boolean },
    closeOnEscape: { type: Boolean },
    defaultOpen: { type: Boolean },
    defaultPosition: {},
    defaultSize: {},
    dir: {},
    disabled: { type: Boolean },
    draggable: { type: Boolean },
    getAnchorPosition: { type: Function },
    getBoundaryEl: { type: Function },
    gridSize: {},
    id: {},
    ids: {},
    lockAspectRatio: { type: Boolean },
    maxSize: {},
    minSize: {},
    open: { type: Boolean },
    persistRect: { type: Boolean },
    position: {},
    resizable: { type: Boolean },
    size: {},
    strategy: {},
    translations: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean }
  }, {
    closeOnEscape: void 0,
    defaultOpen: void 0,
    open: void 0,
    lockAspectRatio: void 0,
    persistRect: void 0,
    resizable: void 0,
    allowOverflow: void 0,
    disabled: void 0,
    draggable: void 0
  }),
  emits: ["openChange", "update:open", "positionChange", "update:position", "positionChangeEnd", "sizeChange", "update:size", "sizeChangeEnd", "stageChange"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const floatingPanel = useFloatingPanel.useFloatingPanel(props, emits);
    useFloatingPanelContext.FloatingPanelProvider(floatingPanel);
    const presence = usePresence.usePresence(
      vue.computed(() => ({
        present: floatingPanel.value.open,
        lazyMount: props.lazyMount,
        unmountOnExit: props.unmountOnExit
      }))
    );
    usePresenceContext.PresenceProvider(presence);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.renderSlot(_ctx.$slots, "default");
    };
  }
});

exports.default = _sfc_main;
