'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const i18nUtils = require('@zag-js/i18n-utils');
const useLocaleContext = require('../../providers/locale/use-locale-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "format-relative-time",
  props: {
    value: {},
    localeMatcher: {},
    numeric: {},
    style: {}
  },
  setup(__props) {
    const props = __props;
    const locale = useLocaleContext.useLocaleContext(useLocaleContext.DEFAULT_LOCALE);
    const text = vue.computed(() => {
      const { value, ...intlProps } = props;
      return i18nUtils.formatRelativeTime(value, locale.value.locale, intlProps);
    });
    return (_ctx, _cache) => {
      return vue.toDisplayString(text.value);
    };
  }
});

exports.default = _sfc_main;
