'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useRenderStrategy = require('../../utils/use-render-strategy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const usePresence = require('../presence/use-presence.cjs');
const usePresenceContext = require('../presence/use-presence-context.cjs');
const useHoverCardContext = require('./use-hover-card-context.cjs');
const factory = require('../factory.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "hover-card-positioner",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const hoverCard = useHoverCardContext.useHoverCardContext();
    const renderStrategy = useRenderStrategy.useRenderStrategyProps();
    const presence = usePresence.usePresence(
      vue.computed(() => ({
        ...renderStrategy.value,
        present: hoverCard.value.open
      }))
    );
    usePresenceContext.PresenceProvider(presence);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return !vue.unref(presence).unmounted ? (vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps({ key: 0 }, vue.unref(hoverCard).getPositionerProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"])) : vue.createCommentVNode("", true);
    };
  }
});

exports.default = _sfc_main;
