import { defineComponent, computed, createBlock, createCommentVNode, unref, openBlock, mergeProps, withCtx, renderSlot } from 'vue';
import { useRenderStrategyProps } from '../../utils/use-render-strategy.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { usePresence } from '../presence/use-presence.js';
import { PresenceProvider } from '../presence/use-presence-context.js';
import { useHoverCardContext } from './use-hover-card-context.js';
import { ark } from '../factory.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "hover-card-positioner",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const hoverCard = useHoverCardContext();
    const renderStrategy = useRenderStrategyProps();
    const presence = usePresence(
      computed(() => ({
        ...renderStrategy.value,
        present: hoverCard.value.open
      }))
    );
    PresenceProvider(presence);
    useForwardExpose();
    return (_ctx, _cache) => {
      return !unref(presence).unmounted ? (openBlock(), createBlock(unref(ark).div, mergeProps({ key: 0 }, unref(hoverCard).getPositionerProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"])) : createCommentVNode("", true);
    };
  }
});

export { _sfc_main as default };
