'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useRenderStrategy = require('../../utils/use-render-strategy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const useHoverCardContext = require('./use-hover-card-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "hover-card-root-provider",
  props: {
    value: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const hoverCard = vue.computed(() => props.value);
    useHoverCardContext.HoverCardProvider(hoverCard);
    useRenderStrategy.RenderStrategyPropsProvider(vue.computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.renderSlot(_ctx.$slots, "default");
    };
  }
});

exports.default = _sfc_main;
