'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useRenderStrategy = require('../../utils/use-render-strategy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const useHoverCard = require('./use-hover-card.cjs');
const useHoverCardContext = require('./use-hover-card-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "hover-card-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    closeDelay: {},
    defaultOpen: { type: Boolean },
    id: {},
    ids: {},
    open: { type: Boolean },
    openDelay: {},
    positioning: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean }
  }, {
    defaultOpen: void 0,
    open: void 0
  }),
  emits: ["focusOutside", "interactOutside", "openChange", "pointerDownOutside", "update:open"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const hoverCard = useHoverCard.useHoverCard(props, emits);
    useHoverCardContext.HoverCardProvider(hoverCard);
    useRenderStrategy.RenderStrategyPropsProvider(vue.computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.renderSlot(_ctx.$slots, "default");
    };
  }
});

exports.default = _sfc_main;
