import { defineComponent, computed, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { ark } from '../factory.js';
import { useListboxContext } from './use-listbox-context.js';
import { ListboxItemProvider } from './use-listbox-item-context.js';
import { ListboxItemPropsProvider } from './use-listbox-item-props-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "listbox-item",
  props: {
    item: {},
    highlightOnHover: { type: Boolean },
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const listbox = useListboxContext();
    ListboxItemPropsProvider(props);
    ListboxItemProvider(computed(() => listbox.value.getItemState(props)));
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(listbox).getItemProps(props), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
