'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useMenuContext = require('./use-menu-context.cjs');
const useMenuItemGroupContext = require('./use-menu-item-group-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "menu-item-group",
  props: {
    id: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const menu = useMenuContext.useMenuContext();
    const id = props.id ?? vue.useId();
    const itemGroupProps = vue.computed(() => ({ id }));
    useMenuItemGroupContext.MenuItemGroupProvider(itemGroupProps);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(menu).getItemGroupProps(itemGroupProps.value), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
