import { defineComponent, useId, computed, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useMenuContext } from './use-menu-context.js';
import { MenuItemGroupProvider } from './use-menu-item-group-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "menu-item-group",
  props: {
    id: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const menu = useMenuContext();
    const id = props.id ?? useId();
    const itemGroupProps = computed(() => ({ id }));
    MenuItemGroupProvider(itemGroupProps);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(menu).getItemGroupProps(itemGroupProps.value), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
