import { defineComponent, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useMenuContext } from './use-menu-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { useMenuOptionItemPropsContext } from './use-menu-option-item-props-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "menu-item-text",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const menu = useMenuContext();
    const optionItemProps = useMenuOptionItemPropsContext();
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(menu).getItemTextProps(unref(optionItemProps)), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
