'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useMenuContext = require('./use-menu-context.cjs');
const useMenuItemContext = require('./use-menu-item-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "menu-item",
  props: /* @__PURE__ */ vue.mergeDefaults({
    value: {},
    disabled: { type: Boolean },
    valueText: {},
    closeOnSelect: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    disabled: void 0,
    closeOnSelect: void 0
  }),
  emits: ["select"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const menu = useMenuContext.useMenuContext();
    const itemState = vue.computed(() => menu.value.getItemState(props));
    useMenuItemContext.MenuItemProvider(itemState);
    vue.onMounted(() => {
      const cleanup = menu.value.addItemListener({ id: itemState.value.id, onSelect: () => emit("select") });
      vue.onBeforeUnmount(() => cleanup?.());
    });
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(menu).getItemProps(props), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
