'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useMenuContext = require('./use-menu-context.cjs');
const useMenuItemContext = require('./use-menu-item-context.cjs');
const useMenuItemGroupContext = require('./use-menu-item-group-context.cjs');
const useMenuOptionItemPropsContext = require('./use-menu-option-item-props-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "menu-radio-item",
  props: /* @__PURE__ */ vue.mergeDefaults({
    value: {},
    disabled: { type: Boolean },
    valueText: {},
    closeOnSelect: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    disabled: void 0,
    closeOnSelect: void 0
  }),
  setup(__props) {
    const props = __props;
    const menu = useMenuContext.useMenuContext();
    const itemGroup = useMenuItemGroupContext.useMenuItemGroupContext();
    const optionItemProps = vue.computed(() => ({
      ...props,
      checked: itemGroup.value.value === props.value,
      type: "radio",
      onCheckedChange: () => itemGroup.value.onValueChange?.({ value: props.value })
    }));
    const optionItemState = vue.computed(() => menu.value.getOptionItemState(optionItemProps.value));
    useMenuItemContext.MenuItemProvider(optionItemState);
    useMenuOptionItemPropsContext.MenuOptionItemPropsProvider(optionItemProps);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(menu).getOptionItemProps(optionItemProps.value), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
