import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './menu';
import * as menu from '@zag-js/menu';
export interface UseMenuProps extends Optional<Omit<menu.Props, 'dir' | 'getRootNode'>, 'id'> {
}
export interface UseMenuReturn {
    api: ComputedRef<menu.Api<PropTypes>>;
    machine: menu.Service;
}
export declare const useMenu: (props?: MaybeRef<UseMenuProps>, emit?: EmitFn<RootEmits>) => UseMenuReturn;
