import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './number-input.types';
import * as numberInput from '@zag-js/number-input';
export interface UseNumberInputProps extends Optional<Omit<numberInput.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the number input
     */
    modelValue?: numberInput.Props['value'];
}
export interface UseNumberInputReturn extends ComputedRef<numberInput.Api<PropTypes>> {
}
export declare const useNumberInput: (props?: MaybeRef<UseNumberInputProps>, emit?: EmitFn<RootEmits>) => UseNumberInputReturn;
