import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './pin-input';
import * as pinInput from '@zag-js/pin-input';
export interface UsePinInputProps extends Optional<Omit<pinInput.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the pin input
     */
    modelValue?: pinInput.Props['value'];
}
export interface UsePinInputReturn extends ComputedRef<pinInput.Api<PropTypes>> {
}
export declare const usePinInput: (props?: MaybeRef<UsePinInputProps>, emit?: EmitFn<RootEmits>) => ComputedRef<pinInput.Api<PropTypes>>;
