'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useRenderStrategy = require('../../utils/use-render-strategy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const usePopover = require('./use-popover.cjs');
const usePopoverContext = require('./use-popover-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "popover-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    autoFocus: { type: Boolean },
    closeOnEscape: { type: Boolean },
    closeOnInteractOutside: { type: Boolean },
    defaultOpen: { type: Boolean },
    id: {},
    ids: {},
    initialFocusEl: { type: Function },
    modal: { type: Boolean },
    open: { type: Boolean },
    persistentElements: {},
    portalled: { type: Boolean },
    positioning: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean }
  }, {
    autoFocus: void 0,
    closeOnEscape: void 0,
    closeOnInteractOutside: void 0,
    defaultOpen: void 0,
    modal: void 0,
    open: void 0,
    portalled: void 0
  }),
  emits: ["escapeKeyDown", "focusOutside", "interactOutside", "openChange", "pointerDownOutside", "update:open"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const popover = usePopover.usePopover(props, emits);
    usePopoverContext.PopoverProvider(popover);
    useRenderStrategy.RenderStrategyPropsProvider(vue.computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.renderSlot(_ctx.$slots, "default");
    };
  }
});

exports.default = _sfc_main;
