import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './progress.types';
import * as progress from '@zag-js/progress';
export interface UseProgressProps extends Optional<Omit<progress.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the progress
     */
    modelValue?: progress.Props['value'];
}
export interface UseProgressReturn extends ComputedRef<progress.Api<PropTypes>> {
}
export declare const useProgress: (props?: MaybeRef<UseProgressProps>, emit?: EmitFn<RootEmits>) => UseProgressReturn;
