'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useQrCode = require('./use-qr-code.cjs');
const useQrCodeContext = require('./use-qr-code-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "qr-code-root",
  props: {
    defaultValue: {},
    encoding: {},
    id: {},
    ids: {},
    modelValue: {},
    pixelSize: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const qrCode = useQrCode.useQrCode(props);
    useQrCodeContext.QrCodeProvider(qrCode);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(qrCode).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
