import { defineComponent, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useQrCode } from './use-qr-code.js';
import { QrCodeProvider } from './use-qr-code-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "qr-code-root",
  props: {
    defaultValue: {},
    encoding: {},
    id: {},
    ids: {},
    modelValue: {},
    pixelSize: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const qrCode = useQrCode(props);
    QrCodeProvider(qrCode);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(qrCode).getRootProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
