import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './qr-code.types';
import * as qrcode from '@zag-js/qr-code';
export interface UseQrCodeProps extends Optional<Omit<qrcode.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the qr code
     */
    modelValue?: qrcode.Props['value'];
}
export interface UseQrCodeReturn extends ComputedRef<qrcode.Api<PropTypes>> {
}
export declare const useQrCode: (props?: MaybeRef<UseQrCodeProps>, emit?: EmitFn<RootEmits>) => UseQrCodeReturn;
