'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useRadioGroupContext = require('./use-radio-group-context.cjs');
const useRadioGroupItemContext = require('./use-radio-group-item-context.cjs');
const useRadioGroupItemPropsContext = require('./use-radio-group-item-props-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "radio-group-item",
  props: {
    value: {},
    disabled: { type: Boolean },
    invalid: { type: Boolean },
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const radioGroup = useRadioGroupContext.useRadioGroupContext();
    useRadioGroupItemPropsContext.RadioGroupItemPropsProvider(props);
    useRadioGroupItemContext.RadioGroupItemProvider(vue.computed(() => radioGroup.value.getItemState(props)));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).label, vue.mergeProps(vue.unref(radioGroup).getItemProps(props), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
