import { defineComponent, mergeDefaults, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useRadioGroup } from './use-radio-group.js';
import { RadioGroupProvider } from './use-radio-group-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "radio-group-root",
  props: /* @__PURE__ */ mergeDefaults({
    defaultValue: {},
    disabled: { type: Boolean },
    form: {},
    id: {},
    ids: {},
    modelValue: {},
    name: {},
    orientation: {},
    readOnly: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    disabled: void 0,
    readOnly: void 0
  }),
  emits: ["valueChange", "update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const radioGroup = useRadioGroup(props, emits);
    RadioGroupProvider(radioGroup);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(radioGroup).getRootProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
