import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './radio-group.types';
import * as radioGroup from '@zag-js/radio-group';
export interface UseRadioGroupProps extends Optional<Omit<radioGroup.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the radio group
     */
    modelValue?: radioGroup.Props['value'];
}
export interface UseRadioGroupReturn extends ComputedRef<radioGroup.Api<PropTypes>> {
}
export declare const useRadioGroup: (props?: MaybeRef<UseRadioGroupProps>, emit?: EmitFn<RootEmits>) => UseRadioGroupReturn;
