import { defineComponent, computed, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useRatingGroupContext } from './use-rating-group-context.js';
import { RatingGroupItemProvider } from './use-rating-group-item-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "rating-group-item",
  props: {
    index: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const ratingGroup = useRatingGroupContext();
    RatingGroupItemProvider(computed(() => ratingGroup.value.getItemState(props)));
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).span, mergeProps(unref(ratingGroup).getItemProps(props), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
