import { defineComponent, mergeDefaults, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useRatingGroup } from './use-rating-group.js';
import { RatingGroupProvider } from './use-rating-group-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "rating-group-root",
  props: /* @__PURE__ */ mergeDefaults({
    allowHalf: { type: Boolean },
    autoFocus: { type: Boolean },
    count: {},
    defaultValue: {},
    disabled: { type: Boolean },
    form: {},
    id: {},
    ids: {},
    modelValue: {},
    name: {},
    readOnly: { type: Boolean },
    required: { type: Boolean },
    translations: {},
    asChild: { type: Boolean }
  }, {
    allowHalf: void 0,
    autoFocus: void 0,
    disabled: void 0,
    readOnly: void 0,
    required: void 0
  }),
  emits: ["hoverChange", "valueChange", "update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const ratingGroup = useRatingGroup(props, emits);
    RatingGroupProvider(ratingGroup);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(ratingGroup).getRootProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
