import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './rating-group';
import * as ratingGroup from '@zag-js/rating-group';
export interface UseRatingGroupProps extends Optional<Omit<ratingGroup.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the rating group
     */
    modelValue?: ratingGroup.Props['value'];
}
export interface UseRatingGroupReturn extends ComputedRef<ratingGroup.Api<PropTypes>> {
}
export declare const useRatingGroup: (props?: MaybeRef<UseRatingGroupProps>, emit?: EmitFn<RootEmits>) => UseRatingGroupReturn;
