'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useSegmentGroupContext = require('./use-segment-group-context.cjs');
const useSegmentGroupItemPropsContext = require('./use-segment-group-item-props-context.cjs');
const segmentGroup_anatomy = require('./segment-group.anatomy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "segment-group-item-control",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const segmentGroup = useSegmentGroupContext.useSegmentGroupContext();
    const itemProps = useSegmentGroupItemPropsContext.useSegmentGroupItemPropsContext();
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(segmentGroup).getItemControlProps(vue.unref(itemProps)), {
        "as-child": _ctx.asChild,
        "data-scope": vue.unref(segmentGroup_anatomy.parts).itemControl.attrs["data-scope"],
        "data-part": vue.unref(segmentGroup_anatomy.parts).itemControl.attrs["data-part"]
      }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child", "data-scope", "data-part"]);
    };
  }
});

exports.default = _sfc_main;
