'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useSegmentGroupItemPropsContext = require('./use-segment-group-item-props-context.cjs');
const useSegmentGroupItemContext = require('./use-segment-group-item-context.cjs');
const factory = require('../factory.cjs');
const useSegmentGroupContext = require('./use-segment-group-context.cjs');
const segmentGroup_anatomy = require('./segment-group.anatomy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "segment-group-item",
  props: {
    value: {},
    disabled: { type: Boolean },
    invalid: { type: Boolean },
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const segmentGroup = useSegmentGroupContext.useSegmentGroupContext();
    useSegmentGroupItemPropsContext.SegmentGroupItemPropsProvider(props);
    useSegmentGroupItemContext.SegmentGroupItemProvider(vue.computed(() => segmentGroup.value.getItemState(props)));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).label, vue.mergeProps(vue.unref(segmentGroup).getItemProps(props), {
        "data-scope": vue.unref(segmentGroup_anatomy.parts).item.attrs["data-scope"],
        "data-part": vue.unref(segmentGroup_anatomy.parts).item.attrs["data-part"],
        "as-child": _ctx.asChild
      }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["data-scope", "data-part", "as-child"]);
    };
  }
});

exports.default = _sfc_main;
