'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useSegmentGroupContext = require('./use-segment-group-context.cjs');
const segmentGroup_anatomy = require('./segment-group.anatomy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "segment-group-root-provider",
  props: {
    value: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const segmentGroup = vue.computed(() => props.value);
    useSegmentGroupContext.SegmentGroupProvider(segmentGroup);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(segmentGroup.value.getRootProps(), {
        "data-scope": vue.unref(segmentGroup_anatomy.parts).root.attrs["data-scope"],
        "data-part": vue.unref(segmentGroup_anatomy.parts).root.attrs["data-part"],
        "as-child": _ctx.asChild
      }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["data-scope", "data-part", "as-child"]);
    };
  }
});

exports.default = _sfc_main;
