import { defineComponent, computed, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { SegmentGroupProvider } from './use-segment-group-context.js';
import { parts } from './segment-group.anatomy.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "segment-group-root-provider",
  props: {
    value: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const segmentGroup = computed(() => props.value);
    SegmentGroupProvider(segmentGroup);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(segmentGroup.value.getRootProps(), {
        "data-scope": unref(parts).root.attrs["data-scope"],
        "data-part": unref(parts).root.attrs["data-part"],
        "as-child": _ctx.asChild
      }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["data-scope", "data-part", "as-child"]);
    };
  }
});

export { _sfc_main as default };
