'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useSegmentGroup = require('./use-segment-group.cjs');
const useSegmentGroupContext = require('./use-segment-group-context.cjs');
const segmentGroup_anatomy = require('./segment-group.anatomy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "segment-group-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    defaultValue: {},
    disabled: { type: Boolean },
    form: {},
    id: {},
    ids: {},
    modelValue: {},
    name: {},
    orientation: {},
    readOnly: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    disabled: void 0,
    readOnly: void 0
  }),
  emits: ["valueChange", "update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const segmentGroup = useSegmentGroup.useSegmentGroup(props, emits);
    useSegmentGroupContext.SegmentGroupProvider(segmentGroup);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(segmentGroup).getRootProps(), {
        "data-scope": vue.unref(segmentGroup_anatomy.parts).root.attrs["data-scope"],
        "data-part": vue.unref(segmentGroup_anatomy.parts).root.attrs["data-part"],
        "as-child": _ctx.asChild
      }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["data-scope", "data-part", "as-child"]);
    };
  }
});

exports.default = _sfc_main;
