import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './segment-group.types';
import * as segmentGroup from '@zag-js/radio-group';
export interface UseSegmentGroupProps extends Optional<Omit<segmentGroup.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the segment group
     */
    modelValue?: segmentGroup.Props['value'];
}
export interface UseSegmentGroupReturn extends ComputedRef<segmentGroup.Api<PropTypes>> {
}
export declare const useSegmentGroup: (props?: MaybeRef<UseSegmentGroupProps>, emit?: EmitFn<RootEmits>) => UseSegmentGroupReturn;
