'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useSelectContext = require('./use-select-context.cjs');
const useSelectItemContext = require('./use-select-item-context.cjs');
const useSelectItemPropsContext = require('./use-select-item-props-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "select-item",
  props: {
    item: {},
    persistFocus: { type: Boolean },
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const select = useSelectContext.useSelectContext();
    useSelectItemPropsContext.SelectItemPropsProvider(props);
    useSelectItemContext.SelectItemProvider(vue.computed(() => select.value.getItemState(props)));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(select).getItemProps(props), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
