'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useRenderStrategy = require('../../utils/use-render-strategy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const factory = require('../factory.cjs');
const useSelect = require('./use-select.cjs');
const useSelectContext = require('./use-select-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "select-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    closeOnSelect: { type: Boolean },
    collection: {},
    composite: { type: Boolean },
    defaultHighlightedValue: {},
    defaultOpen: { type: Boolean },
    defaultValue: {},
    deselectable: { type: Boolean },
    disabled: { type: Boolean },
    form: {},
    highlightedValue: {},
    id: {},
    ids: {},
    invalid: { type: Boolean },
    loopFocus: { type: Boolean },
    modelValue: {},
    multiple: { type: Boolean },
    name: {},
    open: { type: Boolean },
    positioning: {},
    readOnly: { type: Boolean },
    required: { type: Boolean },
    scrollToIndexFn: { type: Function },
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    closeOnSelect: void 0,
    composite: void 0,
    defaultOpen: void 0,
    deselectable: void 0,
    disabled: void 0,
    invalid: void 0,
    loopFocus: void 0,
    multiple: void 0,
    open: void 0,
    readOnly: void 0,
    required: void 0
  }),
  emits: ["focusOutside", "highlightChange", "interactOutside", "openChange", "pointerDownOutside", "valueChange", "update:modelValue", "update:open", "update:highlightedValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const select = useSelect.useSelect(props, emits);
    useSelectContext.SelectProvider(select);
    useRenderStrategy.RenderStrategyPropsProvider(vue.computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(select).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
