'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useSignaturePad = require('./use-signature-pad.cjs');
const useSignaturePadContext = require('./use-signature-pad-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "signature-pad-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    disabled: { type: Boolean },
    drawing: {},
    id: {},
    ids: {},
    name: {},
    readOnly: { type: Boolean },
    required: { type: Boolean },
    translations: {},
    asChild: { type: Boolean }
  }, {
    readOnly: void 0,
    disabled: void 0,
    required: void 0
  }),
  emits: ["draw", "drawEnd"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const signaturepad = useSignaturePad.useSignaturePad(props, emits);
    useSignaturePadContext.SignaturePadProvider(signaturepad);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(signaturepad).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
