'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useSlider = require('./use-slider.cjs');
const useSliderContext = require('./use-slider-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "slider-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    "aria-label": {},
    "aria-labelledby": {},
    defaultValue: {},
    dir: {},
    disabled: { type: Boolean },
    form: {},
    getAriaValueText: { type: Function },
    getRootNode: { type: Function },
    id: {},
    ids: {},
    invalid: { type: Boolean },
    max: {},
    min: {},
    minStepsBetweenThumbs: {},
    modelValue: {},
    name: {},
    orientation: {},
    origin: {},
    readOnly: { type: Boolean },
    step: {},
    thumbAlignment: {},
    thumbSize: {},
    asChild: { type: Boolean }
  }, {
    disabled: void 0,
    invalid: void 0,
    readOnly: void 0
  }),
  emits: ["focusChange", "valueChange", "valueChangeEnd", "update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const slider = useSlider.useSlider(props, emits);
    useSliderContext.SliderProvider(slider);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(slider).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
