import { HTMLAttributes, DefineComponent, ComponentOptionsMixin, PublicProps, ComponentProvideOptions } from 'vue';
import { PolymorphicProps } from '../factory';
import { RootEmits, RootProps } from './slider.types';
import { FocusChangeDetails, ValueChangeDetails } from '@zag-js/slider';
export interface SliderRootBaseProps extends RootProps, PolymorphicProps {
}
export interface SliderRootProps extends SliderRootBaseProps, 
/**
 * @vue-ignore
 */
Omit<HTMLAttributes, 'aria-labelledby' | 'aria-label' | 'dir'> {
}
export interface SliderRootEmits extends RootEmits {
}
declare const _default: __VLS_WithTemplateSlots< DefineComponent<SliderRootProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    focusChange: (details: FocusChangeDetails) => any;
    valueChange: (details: ValueChangeDetails) => any;
    "update:modelValue": (value: number[]) => any;
    valueChangeEnd: (details: ValueChangeDetails) => any;
}, string, PublicProps, Readonly<SliderRootProps> & Readonly<{
    onFocusChange?: ((details: FocusChangeDetails) => any) | undefined;
    onValueChange?: ((details: ValueChangeDetails) => any) | undefined;
    "onUpdate:modelValue"?: ((value: number[]) => any) | undefined;
    onValueChangeEnd?: ((details: ValueChangeDetails) => any) | undefined;
}>, {
    invalid: boolean;
    disabled: boolean;
    readOnly: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
