import { defineComponent, useSlots, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot, createTextVNode, toDisplayString } from 'vue';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { ark } from '../factory.js';
import { useSliderContext } from './use-slider-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "slider-value-text",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const slider = useSliderContext();
    const slots = useSlots();
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).span, mergeProps(unref(slider).getValueTextProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default", {}, () => [
            createTextVNode(toDisplayString(slots.default?.() || unref(slider).value.join(", ")), 1)
          ])
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
