import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './slider';
import * as slider from '@zag-js/slider';
export interface UseSliderProps extends Optional<slider.Props, 'id'> {
    /**
     * The v-model value of the slider
     */
    modelValue?: slider.Props['value'];
}
export interface UseSliderReturn extends ComputedRef<slider.Api<PropTypes>> {
}
export declare const useSlider: (props?: MaybeRef<UseSliderProps>, emit?: EmitFn<RootEmits>) => UseSliderReturn;
