'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useSplitter = require('./use-splitter.cjs');
const useSplitterContext = require('./use-splitter-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "splitter-root",
  props: {
    defaultSize: {},
    id: {},
    ids: {},
    keyboardResizeBy: {},
    nonce: {},
    orientation: {},
    panels: {},
    size: {},
    asChild: { type: Boolean }
  },
  emits: ["collapse", "expand", "resize", "resizeEnd", "resizeStart", "update:size"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const splitter = useSplitter.useSplitter(props, emits);
    useSplitterContext.SplitterProvider(splitter);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(splitter).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
