import { HTMLAttributes, DefineComponent, ComponentOptionsMixin, PublicProps, ComponentProvideOptions } from 'vue';
import { PolymorphicProps } from '../factory';
import { RootEmits, RootProps } from './splitter.types';
import { ResizeDetails, ExpandCollapseDetails, ResizeEndDetails } from '@zag-js/splitter';
export interface SplitterRootBaseProps extends RootProps, PolymorphicProps {
}
export interface SplitterRootProps extends SplitterRootBaseProps, 
/**
 * @vue-ignore
 */
HTMLAttributes {
}
export interface SplitterRootEmits extends RootEmits {
}
declare const _default: __VLS_WithTemplateSlots< DefineComponent<SplitterRootProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    resize: (details: ResizeDetails) => any;
    "update:size": (size: number[]) => any;
    collapse: (details: ExpandCollapseDetails) => any;
    expand: (details: ExpandCollapseDetails) => any;
    resizeEnd: (details: ResizeEndDetails) => any;
    resizeStart: () => any;
}, string, PublicProps, Readonly<SplitterRootProps> & Readonly<{
    onResize?: ((details: ResizeDetails) => any) | undefined;
    "onUpdate:size"?: ((size: number[]) => any) | undefined;
    onCollapse?: ((details: ExpandCollapseDetails) => any) | undefined;
    onExpand?: ((details: ExpandCollapseDetails) => any) | undefined;
    onResizeEnd?: ((details: ResizeEndDetails) => any) | undefined;
    onResizeStart?: (() => any) | undefined;
}>, {}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
