import { defineComponent, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useStepsContext } from './use-steps-context.js';
import { useStepsItemPropsContext } from './use-steps-item-props-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "steps-separator",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const steps = useStepsContext();
    const itemProps = useStepsItemPropsContext();
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(steps).getSeparatorProps(unref(itemProps)), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
