'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const steps = require('@zag-js/steps');
const vue$1 = require('@zag-js/vue');
const vue = require('vue');
const useEnvironmentContext = require('../../providers/environment/use-environment-context.cjs');
const useLocaleContext = require('../../providers/locale/use-locale-context.cjs');
const cleanProps = require('../../utils/clean-props.cjs');

function _interopNamespaceDefault(e) {
  const n = Object.create(null, { [Symbol.toStringTag]: { value: 'Module' } });
  if (e) {
    for (const k in e) {
      if (k !== 'default') {
        const d = Object.getOwnPropertyDescriptor(e, k);
        Object.defineProperty(n, k, d.get ? d : {
          enumerable: true,
          get: () => e[k]
        });
      }
    }
  }
  n.default = e;
  return Object.freeze(n);
}

const steps__namespace = /*#__PURE__*/_interopNamespaceDefault(steps);

function useSteps(props = {}, emit) {
  const env = useEnvironmentContext.useEnvironmentContext();
  const locale = useLocaleContext.useLocaleContext(useLocaleContext.DEFAULT_LOCALE);
  const id = vue.useId();
  const context = vue.computed(() => {
    const localProps = vue.toValue(props);
    return {
      id,
      dir: locale.value.dir,
      getRootNode: env?.value?.getRootNode,
      ...cleanProps.cleanProps(localProps),
      onStepChange: (details) => {
        emit?.("stepChange", details);
        emit?.("update:step", details.step);
        localProps.onStepChange?.(details);
      },
      onStepComplete: () => {
        emit?.("stepComplete");
        localProps.onStepComplete?.();
      }
    };
  });
  const service = vue$1.useMachine(steps__namespace.machine, context);
  return vue.computed(() => steps__namespace.connect(service, vue$1.normalizeProps));
}

exports.useSteps = useSteps;
