'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useSwitchContext = require('./use-switch-context.cjs');
const useFieldContext = require('../field/use-field-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "switch-hidden-input",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const context = useSwitchContext.useSwitchContext();
    const field = useFieldContext.useFieldContext();
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).input, vue.mergeProps({
        "aria-describedby": vue.unref(field)?.ariaDescribedby
      }, vue.unref(context).getHiddenInputProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["aria-describedby", "as-child"]);
    };
  }
});

exports.default = _sfc_main;
