'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useRenderStrategy = require('../../utils/use-render-strategy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const factory = require('../factory.cjs');
const useTabs = require('./use-tabs.cjs');
const useTabsContext = require('./use-tabs-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "tabs-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    activationMode: {},
    composite: { type: Boolean },
    defaultValue: {},
    deselectable: { type: Boolean },
    id: {},
    ids: {},
    loopFocus: { type: Boolean },
    modelValue: {},
    navigate: { type: Function },
    orientation: {},
    translations: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    composite: void 0,
    deselectable: void 0,
    loopFocus: void 0
  }),
  emits: ["focusChange", "valueChange", "update:modelValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const tabs = useTabs.useTabs(props, emits);
    useTabsContext.TabsProvider(tabs);
    useRenderStrategy.RenderStrategyPropsProvider(vue.computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(tabs).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
