import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './tabs.types';
import * as tabs from '@zag-js/tabs';
export interface UseTabsProps extends Optional<Omit<tabs.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the tabs
     */
    modelValue?: tabs.Props['value'];
}
export interface UseTabsReturn extends ComputedRef<tabs.Api<PropTypes>> {
}
export declare const useTabs: (props?: MaybeRef<UseTabsProps>, emit?: EmitFn<RootEmits>) => UseTabsReturn;
