import { defineComponent, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useTagsInputContext } from './use-tags-input-context.js';
import { useTagsInputItemPropsContext } from './use-tags-input-item-props-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "tags-input-item-input",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const tagsInput = useTagsInputContext();
    const itemProps = useTagsInputItemPropsContext();
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).input, mergeProps(unref(tagsInput).getItemInputProps(unref(itemProps)), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
