import { defineComponent, computed, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useTagsInputContext } from './use-tags-input-context.js';
import { TagsInputItemProvider } from './use-tags-input-item-context.js';
import { TagsInputItemPropsProvider } from './use-tags-input-item-props-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "tags-input-item",
  props: {
    index: {},
    value: {},
    disabled: { type: Boolean },
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const tagsInput = useTagsInputContext();
    TagsInputItemPropsProvider(props);
    TagsInputItemProvider(computed(() => tagsInput.value.getItemState(props)));
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(tagsInput).getItemProps(props), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
