'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useTagsInput = require('./use-tags-input.cjs');
const useTagsInputContext = require('./use-tags-input-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "tags-input-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    addOnPaste: { type: Boolean },
    allowOverflow: { type: Boolean },
    autoFocus: { type: Boolean },
    blurBehavior: {},
    defaultInputValue: {},
    defaultValue: {},
    delimiter: {},
    disabled: { type: Boolean },
    editable: { type: Boolean },
    form: {},
    id: {},
    ids: {},
    inputValue: {},
    invalid: { type: Boolean },
    max: {},
    maxLength: {},
    modelValue: {},
    name: {},
    readOnly: { type: Boolean },
    required: { type: Boolean },
    translations: {},
    validate: { type: Function },
    asChild: { type: Boolean }
  }, {
    addOnPaste: void 0,
    allowOverflow: void 0,
    autoFocus: void 0,
    disabled: void 0,
    editable: void 0,
    invalid: void 0,
    readOnly: void 0,
    required: void 0
  }),
  emits: ["focusOutside", "highlightChange", "inputValueChange", "interactOutside", "pointerDownOutside", "valueChange", "valueInvalid", "update:modelValue", "update:inputValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const tagsInput = useTagsInput.useTagsInput(props, emits);
    useTagsInputContext.TagsInputProvider(tagsInput);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(tagsInput).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
