import { HTMLAttributes, DefineComponent, ComponentOptionsMixin, PublicProps, ComponentProvideOptions } from 'vue';
import { PolymorphicProps } from '../factory';
import { RootEmits, RootProps } from './tags-input.types';
import { ValueChangeDetails, HighlightChangeDetails, InputValueChangeDetails, ValidityChangeDetails } from '@zag-js/tags-input';
import { FocusOutsideEvent, InteractOutsideEvent, PointerDownOutsideEvent } from '@zag-js/interact-outside';
export interface TagsInputRootBaseProps extends RootProps, PolymorphicProps {
}
export interface TagsInputRootProps extends TagsInputRootBaseProps, 
/**
 * @vue-ignore
 */
HTMLAttributes {
}
export interface TagsInputRootEmits extends RootEmits {
}
declare const _default: __VLS_WithTemplateSlots< DefineComponent<TagsInputRootProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    valueChange: (details: ValueChangeDetails) => any;
    "update:modelValue": (value: string[]) => any;
    focusOutside: (event: FocusOutsideEvent) => any;
    interactOutside: (event: InteractOutsideEvent) => any;
    pointerDownOutside: (event: PointerDownOutsideEvent) => any;
    highlightChange: (details: HighlightChangeDetails) => any;
    inputValueChange: (details: InputValueChangeDetails) => any;
    "update:inputValue": (value: string) => any;
    valueInvalid: (details: ValidityChangeDetails) => any;
}, string, PublicProps, Readonly<TagsInputRootProps> & Readonly<{
    onValueChange?: ((details: ValueChangeDetails) => any) | undefined;
    "onUpdate:modelValue"?: ((value: string[]) => any) | undefined;
    onFocusOutside?: ((event: FocusOutsideEvent) => any) | undefined;
    onInteractOutside?: ((event: InteractOutsideEvent) => any) | undefined;
    onPointerDownOutside?: ((event: PointerDownOutsideEvent) => any) | undefined;
    onHighlightChange?: ((details: HighlightChangeDetails) => any) | undefined;
    onInputValueChange?: ((details: InputValueChangeDetails) => any) | undefined;
    "onUpdate:inputValue"?: ((value: string) => any) | undefined;
    onValueInvalid?: ((details: ValidityChangeDetails) => any) | undefined;
}>, {
    invalid: boolean;
    disabled: boolean;
    required: boolean;
    autoFocus: boolean;
    readOnly: boolean;
    editable: boolean;
    allowOverflow: boolean;
    addOnPaste: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
