import { defineComponent, mergeDefaults, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useTagsInput } from './use-tags-input.js';
import { TagsInputProvider } from './use-tags-input-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "tags-input-root",
  props: /* @__PURE__ */ mergeDefaults({
    addOnPaste: { type: Boolean },
    allowOverflow: { type: Boolean },
    autoFocus: { type: Boolean },
    blurBehavior: {},
    defaultInputValue: {},
    defaultValue: {},
    delimiter: {},
    disabled: { type: Boolean },
    editable: { type: Boolean },
    form: {},
    id: {},
    ids: {},
    inputValue: {},
    invalid: { type: Boolean },
    max: {},
    maxLength: {},
    modelValue: {},
    name: {},
    readOnly: { type: Boolean },
    required: { type: Boolean },
    translations: {},
    validate: { type: Function },
    asChild: { type: Boolean }
  }, {
    addOnPaste: void 0,
    allowOverflow: void 0,
    autoFocus: void 0,
    disabled: void 0,
    editable: void 0,
    invalid: void 0,
    readOnly: void 0,
    required: void 0
  }),
  emits: ["focusOutside", "highlightChange", "inputValueChange", "interactOutside", "pointerDownOutside", "valueChange", "valueInvalid", "update:modelValue", "update:inputValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const tagsInput = useTagsInput(props, emits);
    TagsInputProvider(tagsInput);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(tagsInput).getRootProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
