import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './tags-input.types';
import * as tagsInput from '@zag-js/tags-input';
export interface UseTagsInputProps extends Optional<Omit<tagsInput.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the tags input
     */
    modelValue?: tagsInput.Props['value'];
}
export interface UseTagsInputReturn extends ComputedRef<tagsInput.Api<PropTypes>> {
}
export declare const useTagsInput: (props?: MaybeRef<UseTagsInputProps>, emit?: EmitFn<RootEmits>) => UseTagsInputReturn;
