'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useTimePickerContext = require('./use-time-picker-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const useTimePickerColumnPropsContext = require('./use-time-picker-column-props-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "time-picker-cell",
  props: {
    value: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const timePicker = useTimePickerContext.useTimePickerContext();
    const columnProps = useTimePickerColumnPropsContext.useTimePickerColumnPropsContext();
    const unitToPropsMap = {
      hour: () => timePicker.value.getHourCellProps(props),
      minute: () => timePicker.value.getMinuteCellProps(props),
      second: () => timePicker.value.getSecondCellProps(props),
      period: () => timePicker.value.getPeriodCellProps(props)
    };
    const cellProps = unitToPropsMap[columnProps.unit]();
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).button, vue.mergeProps(vue.unref(cellProps), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
