import { defineComponent, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { useTimePickerContext } from './use-time-picker-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { TimePickerColumnPropsProvider } from './use-time-picker-column-props-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "time-picker-column",
  props: {
    unit: {},
    asChild: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const timePicker = useTimePickerContext();
    TimePickerColumnPropsProvider(props);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(timePicker).getColumnProps(props), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
