'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useRenderStrategy = require('../../utils/use-render-strategy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const factory = require('../factory.cjs');
const useTimePicker = require('./use-time-picker.cjs');
const useTimePickerContext = require('./use-time-picker-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "time-picker-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    allowSeconds: { type: Boolean },
    defaultOpen: { type: Boolean },
    defaultValue: {},
    disableLayer: { type: Boolean },
    disabled: { type: Boolean },
    id: {},
    ids: {},
    locale: {},
    max: {},
    min: {},
    modelValue: {},
    name: {},
    open: { type: Boolean },
    placeholder: {},
    positioning: {},
    readOnly: { type: Boolean },
    steps: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    allowSeconds: void 0,
    disabled: void 0,
    disableLayer: void 0,
    open: void 0,
    readOnly: void 0,
    defaultOpen: void 0
  }),
  emits: ["focusChange", "openChange", "valueChange", "update:modelValue", "update:open"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const timePicker = useTimePicker.useTimePicker(props, emits);
    useTimePickerContext.TimePickerProvider(timePicker);
    useRenderStrategy.RenderStrategyPropsProvider(vue.computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(timePicker).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
