import { HTMLAttributes, DefineComponent, ComponentOptionsMixin, PublicProps, ComponentProvideOptions } from 'vue';
import { RenderStrategyProps } from '../../utils';
import { PolymorphicProps } from '../factory';
import { RootEmits, RootProps } from './time-picker.types';
import { FocusChangeDetails, ValueChangeDetails, OpenChangeDetails } from '@zag-js/time-picker';
import { Time } from '@internationalized/date';
export interface TimePickerRootBaseProps extends RootProps, RenderStrategyProps, PolymorphicProps {
}
export interface TimePickerRootProps extends TimePickerRootBaseProps, 
/**
 * @vue-ignore
 */
HTMLAttributes {
}
export interface TimePickerRootEmits extends RootEmits {
}
declare const _default: __VLS_WithTemplateSlots< DefineComponent<TimePickerRootProps, {}, {}, {}, {}, ComponentOptionsMixin, ComponentOptionsMixin, {
    focusChange: (details: FocusChangeDetails) => any;
    valueChange: (value: ValueChangeDetails) => any;
    "update:modelValue": (value: Time | null) => any;
    openChange: (details: OpenChangeDetails) => any;
    "update:open": (open: boolean) => any;
}, string, PublicProps, Readonly<TimePickerRootProps> & Readonly<{
    onFocusChange?: ((details: FocusChangeDetails) => any) | undefined;
    onValueChange?: ((value: ValueChangeDetails) => any) | undefined;
    "onUpdate:modelValue"?: ((value: Time | null) => any) | undefined;
    onOpenChange?: ((details: OpenChangeDetails) => any) | undefined;
    "onUpdate:open"?: ((open: boolean) => any) | undefined;
}>, {
    disabled: boolean;
    open: boolean;
    defaultOpen: boolean;
    readOnly: boolean;
    disableLayer: boolean;
    allowSeconds: boolean;
}, {}, {}, {}, string, ComponentProvideOptions, false, {}, any>, {
    default?(_: {}): any;
}>;
export default _default;
type __VLS_WithTemplateSlots<T, S> = T & {
    new (): {
        $slots: S;
    };
};
