import { defineComponent, mergeDefaults, computed, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { RenderStrategyPropsProvider } from '../../utils/use-render-strategy.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { ark } from '../factory.js';
import { useTimePicker } from './use-time-picker.js';
import { TimePickerProvider } from './use-time-picker-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "time-picker-root",
  props: /* @__PURE__ */ mergeDefaults({
    allowSeconds: { type: Boolean },
    defaultOpen: { type: Boolean },
    defaultValue: {},
    disableLayer: { type: Boolean },
    disabled: { type: Boolean },
    id: {},
    ids: {},
    locale: {},
    max: {},
    min: {},
    modelValue: {},
    name: {},
    open: { type: Boolean },
    placeholder: {},
    positioning: {},
    readOnly: { type: Boolean },
    steps: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    allowSeconds: void 0,
    disabled: void 0,
    disableLayer: void 0,
    open: void 0,
    readOnly: void 0,
    defaultOpen: void 0
  }),
  emits: ["focusChange", "openChange", "valueChange", "update:modelValue", "update:open"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const timePicker = useTimePicker(props, emits);
    TimePickerProvider(timePicker);
    RenderStrategyPropsProvider(computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(timePicker).getRootProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
