import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './time-picker.types';
import * as timePicker from '@zag-js/time-picker';
export interface UseTimePickerProps extends Optional<Omit<timePicker.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the time picker
     */
    modelValue?: timePicker.Props['value'];
}
export interface UseTimePickerReturn extends ComputedRef<timePicker.Api<PropTypes>> {
}
export declare const useTimePicker: (props?: MaybeRef<UseTimePickerProps>, emit?: EmitFn<RootEmits>) => UseTimePickerReturn;
