'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const factory = require('../factory.cjs');
const useTimer = require('./use-timer.cjs');
const useTimerContext = require('./use-timer-context.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "timer-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    autoStart: { type: Boolean },
    countdown: { type: Boolean },
    id: {},
    ids: {},
    interval: {},
    startMs: {},
    targetMs: {},
    asChild: { type: Boolean }
  }, {
    autoStart: void 0,
    countdown: void 0
  }),
  emits: ["complete", "tick"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const timer = useTimer.useTimer(props, emits);
    useTimerContext.TimerProvider(timer);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(timer).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
