import { PropTypes } from '@zag-js/vue';
import { ComputedRef, MaybeRef } from 'vue';
import { EmitFn, Optional } from '../../types';
import { RootEmits } from './toggle-group';
import * as toggleGroup from '@zag-js/toggle-group';
export interface UseToggleGroupProps extends Optional<Omit<toggleGroup.Props, 'dir' | 'getRootNode'>, 'id'> {
    /**
     * The v-model value of the toggle group
     */
    modelValue?: toggleGroup.Props['value'];
}
export interface UseToggleGroupReturn extends ComputedRef<toggleGroup.Api<PropTypes>> {
}
export declare const useToggleGroup: (props?: MaybeRef<UseToggleGroupProps>, emit?: EmitFn<RootEmits>) => UseToggleGroupReturn;
