'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const factory = require('../factory.cjs');
const useToggle = require('./use-toggle.cjs');
const useToggleContext = require('./use-toggle-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "toggle-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    defaultPressed: { type: Boolean },
    disabled: { type: Boolean },
    pressed: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    disabled: void 0,
    defaultPressed: void 0,
    pressed: void 0
  }),
  emits: ["pressedChange", "update:pressed"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const toggle = useToggle.useToggle(props, emit);
    useToggleContext.ToggleProvider(toggle);
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).button, vue.mergeProps(vue.unref(toggle).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
