import { defineComponent, mergeDefaults, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { ark } from '../factory.js';
import { useToggle } from './use-toggle.js';
import { ToggleProvider } from './use-toggle-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "toggle-root",
  props: /* @__PURE__ */ mergeDefaults({
    defaultPressed: { type: Boolean },
    disabled: { type: Boolean },
    pressed: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    disabled: void 0,
    defaultPressed: void 0,
    pressed: void 0
  }),
  emits: ["pressedChange", "update:pressed"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emit = __emit;
    const toggle = useToggle(props, emit);
    ToggleProvider(toggle);
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).button, mergeProps(unref(toggle).getRootProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
