'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useRenderStrategy = require('../../utils/use-render-strategy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const useTooltip = require('./use-tooltip.cjs');
const useTooltipContext = require('./use-tooltip-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "tooltip-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    "aria-label": {},
    closeDelay: {},
    closeOnClick: { type: Boolean },
    closeOnEscape: { type: Boolean },
    closeOnPointerDown: { type: Boolean },
    closeOnScroll: { type: Boolean },
    defaultOpen: { type: Boolean },
    disabled: { type: Boolean },
    id: {},
    ids: {},
    interactive: { type: Boolean },
    open: { type: Boolean },
    openDelay: {},
    positioning: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean }
  }, {
    closeOnClick: void 0,
    closeOnEscape: void 0,
    closeOnPointerDown: void 0,
    closeOnScroll: void 0,
    defaultOpen: void 0,
    disabled: void 0,
    interactive: void 0,
    open: void 0
  }),
  emits: ["openChange", "update:open"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const tooltip = useTooltip.useTooltip(props, emits);
    useTooltipContext.TooltipProvider(tooltip);
    useRenderStrategy.RenderStrategyPropsProvider(vue.computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.renderSlot(_ctx.$slots, "default");
    };
  }
});

exports.default = _sfc_main;
