import { defineComponent, mergeDefaults, computed, renderSlot } from 'vue';
import { RenderStrategyPropsProvider } from '../../utils/use-render-strategy.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { useTooltip } from './use-tooltip.js';
import { TooltipProvider } from './use-tooltip-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "tooltip-root",
  props: /* @__PURE__ */ mergeDefaults({
    "aria-label": {},
    closeDelay: {},
    closeOnClick: { type: Boolean },
    closeOnEscape: { type: Boolean },
    closeOnPointerDown: { type: Boolean },
    closeOnScroll: { type: Boolean },
    defaultOpen: { type: Boolean },
    disabled: { type: Boolean },
    id: {},
    ids: {},
    interactive: { type: Boolean },
    open: { type: Boolean },
    openDelay: {},
    positioning: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean }
  }, {
    closeOnClick: void 0,
    closeOnEscape: void 0,
    closeOnPointerDown: void 0,
    closeOnScroll: void 0,
    defaultOpen: void 0,
    disabled: void 0,
    interactive: void 0,
    open: void 0
  }),
  emits: ["openChange", "update:open"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const tooltip = useTooltip(props, emits);
    TooltipProvider(tooltip);
    RenderStrategyPropsProvider(computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose();
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});

export { _sfc_main as default };
