import { defineComponent, useSlots, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot, createTextVNode, toDisplayString } from 'vue';
import { ark } from '../factory.js';
import { useTourContext } from './use-tour-context.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "tour-progress-text",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const tour = useTourContext();
    const slots = useSlots();
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(tour).getProgressTextProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default", {}, () => [
            createTextVNode(toDisplayString(slots.default?.() || unref(tour).getProgressText()), 1)
          ])
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
