import { defineComponent, computed, renderSlot } from 'vue';
import { RenderStrategyPropsProvider } from '../../utils/use-render-strategy.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { TourProvider } from './use-tour-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "tour-root",
  props: {
    tour: {},
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean }
  },
  setup(__props) {
    const props = __props;
    const tour = computed(() => props.tour);
    TourProvider(tour);
    RenderStrategyPropsProvider(computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose();
    return (_ctx, _cache) => {
      return renderSlot(_ctx.$slots, "default");
    };
  }
});

export { _sfc_main as default };
