import { defineComponent, computed, createBlock, createCommentVNode, unref, openBlock, mergeProps, withCtx, renderSlot } from 'vue';
import { ark } from '../factory.js';
import { usePresence } from '../presence/use-presence.js';
import { PresenceProvider } from '../presence/use-presence-context.js';
import { useTourContext } from './use-tour-context.js';
import { useRenderStrategyProps } from '../../utils/use-render-strategy.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "tour-spotlight",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const tour = useTourContext();
    const renderStrategy = useRenderStrategyProps();
    const presence = usePresence(
      computed(() => ({
        ...renderStrategy.value,
        present: tour.value.open
      }))
    );
    PresenceProvider(presence);
    useForwardExpose();
    return (_ctx, _cache) => {
      return !unref(presence).unmounted ? (openBlock(), createBlock(unref(ark).div, mergeProps({ key: 0 }, unref(tour).getSpotlightProps(), {
        hidden: !unref(tour).open || !unref(tour).step?.target?.(),
        "as-child": _ctx.asChild
      }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["hidden", "as-child"])) : createCommentVNode("", true);
    };
  }
});

export { _sfc_main as default };
