'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const collapsible = require('../collapsible/collapsible.cjs');
const useTreeViewContext = require('./use-tree-view-context.cjs');
const useTreeViewNodePropsContext = require('./use-tree-view-node-props-context.cjs');
const createSplitProps = require('../create-split-props.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "tree-view-branch-content",
  props: {
    asChild: { type: Boolean }
  },
  setup(__props) {
    const splitVisibilityProps = createSplitProps.createSplitProps();
    const treeView = useTreeViewContext.useTreeViewContext();
    const ndoeProps = useTreeViewNodePropsContext.useTreeViewNodePropsContext();
    const branchContentProps = vue.computed(() => {
      const contentProps = treeView.value.getBranchContentProps(ndoeProps);
      const [, ownProps] = splitVisibilityProps(contentProps, ["hidden", "data-state"]);
      return ownProps;
    });
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(collapsible).Content, vue.mergeProps(branchContentProps.value, { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
