'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const useRenderStrategy = require('../../utils/use-render-strategy.cjs');
const useForwardExpose = require('../../utils/use-forward-expose.cjs');
const factory = require('../factory.cjs');
const useTreeView = require('./use-tree-view.cjs');
const useTreeViewContext = require('./use-tree-view-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "tree-view-root",
  props: /* @__PURE__ */ vue.mergeDefaults({
    collection: {},
    defaultExpandedValue: {},
    defaultSelectedValue: {},
    expandOnClick: { type: Boolean },
    expandedValue: {},
    focusedValue: {},
    id: {},
    ids: {},
    selectedValue: {},
    selectionMode: {},
    typeahead: { type: Boolean },
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    expandOnClick: void 0,
    typeahead: void 0
  }),
  emits: ["expandedChange", "focusChange", "selectionChange", "update:expandedValue", "update:focusedValue", "update:selectedValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const treeView = useTreeView.useTreeView(props, emits);
    useTreeViewContext.TreeViewProvider(treeView);
    useRenderStrategy.RenderStrategyPropsProvider(vue.computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose.useForwardExpose();
    return (_ctx, _cache) => {
      return vue.openBlock(), vue.createBlock(vue.unref(factory.ark).div, vue.mergeProps(vue.unref(treeView).getRootProps(), { "as-child": _ctx.asChild }), {
        default: vue.withCtx(() => [
          vue.renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

exports.default = _sfc_main;
