import { defineComponent, mergeDefaults, computed, createBlock, openBlock, unref, mergeProps, withCtx, renderSlot } from 'vue';
import { RenderStrategyPropsProvider } from '../../utils/use-render-strategy.js';
import { useForwardExpose } from '../../utils/use-forward-expose.js';
import { ark } from '../factory.js';
import { useTreeView } from './use-tree-view.js';
import { TreeViewProvider } from './use-tree-view-context.js';

const _sfc_main = /* @__PURE__ */ defineComponent({
  __name: "tree-view-root",
  props: /* @__PURE__ */ mergeDefaults({
    collection: {},
    defaultExpandedValue: {},
    defaultSelectedValue: {},
    expandOnClick: { type: Boolean },
    expandedValue: {},
    focusedValue: {},
    id: {},
    ids: {},
    selectedValue: {},
    selectionMode: {},
    typeahead: { type: Boolean },
    lazyMount: { type: Boolean },
    unmountOnExit: { type: Boolean },
    asChild: { type: Boolean }
  }, {
    expandOnClick: void 0,
    typeahead: void 0
  }),
  emits: ["expandedChange", "focusChange", "selectionChange", "update:expandedValue", "update:focusedValue", "update:selectedValue"],
  setup(__props, { emit: __emit }) {
    const props = __props;
    const emits = __emit;
    const treeView = useTreeView(props, emits);
    TreeViewProvider(treeView);
    RenderStrategyPropsProvider(computed(() => ({ lazyMount: props.lazyMount, unmountOnExit: props.unmountOnExit })));
    useForwardExpose();
    return (_ctx, _cache) => {
      return openBlock(), createBlock(unref(ark).div, mergeProps(unref(treeView).getRootProps(), { "as-child": _ctx.asChild }), {
        default: withCtx(() => [
          renderSlot(_ctx.$slots, "default")
        ]),
        _: 3
      }, 16, ["as-child"]);
    };
  }
});

export { _sfc_main as default };
