'use strict';

Object.defineProperties(exports, { __esModule: { value: true }, [Symbol.toStringTag]: { value: 'Module' } });

const vue = require('vue');
const i18nUtils = require('@zag-js/i18n-utils');
const useLocaleContext = require('./use-locale-context.cjs');

const _sfc_main = /* @__PURE__ */ vue.defineComponent({
  __name: "locale-provider",
  props: {
    locale: {}
  },
  setup(__props) {
    const props = __props;
    const context = vue.computed(() => ({
      locale: props.locale,
      dir: i18nUtils.isRTL(props.locale) ? "rtl" : "ltr"
    }));
    useLocaleContext.LocaleContextProvider(context);
    return (_ctx, _cache) => {
      return vue.renderSlot(_ctx.$slots, "default");
    };
  }
});

exports.default = _sfc_main;
