'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const i18nUtils = require('@zag-js/i18n-utils');
const vue = require('vue');
const useLocaleContext = require('./use-locale-context.cjs');

function useFilter(props) {
  const env = useLocaleContext.useLocaleContext(useLocaleContext.DEFAULT_LOCALE);
  const locale = vue.computed(() => props.locale ?? env.value.locale);
  return vue.computed(() => i18nUtils.createFilter({ ...props, locale: locale.value }));
}

exports.useFilter = useFilter;
