import { createFilter } from '@zag-js/i18n-utils';
import { computed } from 'vue';
import { useLocaleContext, DEFAULT_LOCALE } from './use-locale-context.js';

function useFilter(props) {
  const env = useLocaleContext(DEFAULT_LOCALE);
  const locale = computed(() => props.locale ?? env.value.locale);
  return computed(() => createFilter({ ...props, locale: locale.value }));
}

export { useFilter };
