'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const vue = require('vue');

const createContext = (id) => {
  const contextId = Symbol(id);
  const provider = (value) => vue.provide(contextId, value);
  const consumer = (fallback) => vue.inject(contextId, fallback);
  return [provider, consumer, contextId];
};

exports.createContext = createContext;
