'use strict';

Object.defineProperty(exports, Symbol.toStringTag, { value: 'Module' });

const vue = require('vue');
const useEmitsAsProps = require('./use-emits-as-props.cjs');
const useForwardProps = require('./use-forward-props.cjs');

function useForwardPropsEmits(props, emit) {
  const parsedProps = useForwardProps.useForwardProps(props);
  const emitsAsProps = emit ? useEmitsAsProps.useEmitAsProps(emit) : {};
  return vue.computed(() => ({
    // @ts-expect-error
    ...parsedProps.value,
    ...emitsAsProps
  }));
}

exports.useForwardPropsEmits = useForwardPropsEmits;
